<?php
if ( ! class_exists( 'IPTee_Admin' )) {

    /**
     * Class for handling administrator page
     */
    class IPTee_Admin
    {
        /**
         * Show content admin home
         *
         * @return void
         */
        public function index()
        {
        ?>
            <div id="iptee-dashboard" class="wrap ipbe-wrap iptee-admin">
                <div class="ipbe-inner">
                    
                    <?php $this->_header( 'iptee' ); ?>
                    
                    <div class="ipbe-main">
                        <div class="ipbe-main-info">
                            <?php
                            if ( isset( $_GET['create'] )) :
                            ?>
                            <div class="ipbe-alert ipbe-alert-success" style="display: block;">
                                <?php _e( 'Successfully add a contest.', 'wp_tee_contest' ); ?>
                            </div>
                            <?php
                            elseif ( isset( $_GET['delete'] )) :
                            ?>
                            <div class="ipbe-alert ipbe-alert-success" style="display: block;">
                                <?php _e( 'Successfully deleting a contest.', 'wp_tee_contest' ); ?>
                            </div>
                            <?php
                            endif;
                            ?>
                        </div>
                        
                        <div class="ipbe-primary">
                            <?php
                            $list = new IPTee_List();
                            $list->render();
                            ?>
                        </div>
                    </div>
                    
                </div>
                
            </div>
        <?php
        }
        
        /**
         * Show content admin add style
         *
         * @return void
         */
        public function add()
        {
            $this->manage();
        }
        
        /**
         * Show content admin edit style
         *
         * @return void
         */
        public function edit()
        {
            if ( empty( $_GET['id'] )) {
                wp_die( __('You attempted to edit an item that doesn&#8217;t exist. Perhaps it was deleted?', 'wp_tee_contest') );
            }
            $id = absint( $_GET['id'] );
            if ( ! $style = get_post( $id ) ) {
                wp_die( __('You attempted to edit an item that doesn&#8217;t exist. Perhaps it was deleted?', 'wp_tee_contest') );
            }
            $this->manage( $style );
        }
        
        /**
         * Show content admin manage contest page
         *
         * @return void
         */
        public function manage( $contest = false )
        {
            wp_enqueue_media();
            wp_enqueue_script('wp-color-picker');
            wp_enqueue_style('wp-color-picker');
            
            $contestId = 0;
            if ( $contest ) {
                $contestId = $contest->ID;
            }
            $setting     = new IPTee_Setting( $contestId, '__iptee-setting' );
            $form_action = admin_url( 'admin-ajax.php' ) . '?doajax=1&iptee=1&action=iptee_update';
            
            if ( $contest ) 
            {
                $pageTitle = __( 'Edit Contest Page', 'wp_tee_contest' );
                $submit    = __( 'Save Change', 'wp_tee_contest' );
                $submitId  = 'iptee-edit-contest';
                $formId    = 'iptee-form-update';
                $submit_icon = 'floppy-o';
                
            } else 
            {
                $pageTitle = __( 'Add Contest Page', 'wp_tee_contest' );
                $submit    = __( 'Add Contest Page', 'wp_tee_contest' );
                $submitId  = 'iptee-add-contest';
                $formId    = 'iptee-form-add';
                $submit_icon = 'plus-circle';
            }
            
            $tab = 'iptee-section-general';
            if ( ! empty( $_REQUEST['tab'] )) {
                $tab = $_REQUEST['tab'];
            }
        ?>
            <div id="iptee-manage" class="wrap ipbe-wrap iptee-admin">
                <div class="ipbe-inner">
                    <?php 
                    if ( $contest ) 
                    {
                        $title = $contest->post_title;
                        $info  = '<i class="ibe ibe-calendar"></i> Created: <strong>' . mysql2date( 'd F Y, h:i', $contest->post_date ) . '</strong>';
                        $icon  = 'pencil';
                        $this->_header( 'iptee', $title, $info, $icon );
                    } else {
                        $this->_header( 'iptee-add' );
                    }
                    ?>
                    <div class="ipbe-main">
                        <div class="ipbe-main-info"></div>
                        
                        <div class="ipbe-primary">
                            <div class="ipbe-manage-wrap ipbe-manage-sidebar">
                            <form id="<?php echo $formId; ?>" method="post" class="ipbe-form ip-form-cont" action="<?php echo $form_action; ?>" enctype="multipart/form-data">
                                <input type="hidden" name="contest_id" id="iptee-value-contestid" value="<?php echo $contestId; ?>" />
                                
                                <div class="container-fluid container">
                                    <div class="ipbe-clear ipbe-tab">
                                        <div class="ipbe-sidebar">
                                            <div class="ipbe-sidebar-inner">
                                                <input type="hidden" name="tab_selected" id="ipbe-tab-selected" value="<?php echo $tab; ?>" />
                                                <ul class="ipbe-page-menu ipbe-tab-menu">
                                                    <li>
                                                        <a href="#iptee-section-general" class="active">
                                                            <i class="ibe ibe-cogs"></i>
                                                            <strong><?php _e( 'General', 'wp_tee_contest' ); ?></strong>
                                                        </a>
                                                    </li>
                                                    <?php
                                                    if ( $contest ) :
                                                    ?>
                                                    <li>
                                                        <a href="#iptee-section-seo">
                                                            <i class="ibe ibe-globe"></i>
                                                            <strong><?php _e( 'SEO', 'wp_tee_contest' ); ?></strong>
                                                        </a>
                                                    </li>
                                                    <li>
                                                        <a href="#iptee-section-content">
                                                            <i class="ibe ibe-file-o"></i>
                                                            <strong><?php _e( 'Content', 'wp_tee_contest' ); ?></strong>
                                                        </a>
                                                    </li>
                                                    <li>
                                                        <a href="#iptee-section-design">
                                                            <i class="ibe ibe-paint-brush"></i>
                                                            <strong><?php _e( 'Design', 'wp_tee_contest' ); ?></strong>
                                                        </a>
                                                    </li>
                                                    <li>
                                                        <a href="#iptee-section-email">
                                                            <i class="ibe ibe-envelope"></i>
                                                            <strong><?php _e( 'Email', 'wp_tee_contest' ); ?></strong>
                                                        </a>
                                                    </li>
                                                    <li>
                                                        <a href="#iptee-section-share">
                                                            <i class="ibe ibe-share-alt"></i>
                                                            <strong><?php _e( 'Share', 'wp_tee_contest' ); ?></strong>
                                                        </a>
                                                    </li>
                                                    <li>
                                                        <a href="#iptee-section-countdown">
                                                            <i class="ibe ibe-clock-o"></i>
                                                            <strong><?php _e( 'Countdown', 'wp_tee_contest' ); ?></strong>
                                                        </a>
                                                    </li>
                                                    <li>
                                                        <a href="#iptee-section-contestant">
                                                            <i class="ibe ibe-trophy"></i>
                                                            <strong><?php _e( 'Contestants', 'wp_tee_contest' ); ?></strong>
                                                        </a>
                                                    </li>
                                                    <li>
                                                        <a href="#iptee-section-statistic">
                                                            <i class="ibe ibe-line-chart"></i>
                                                            <strong><?php _e( 'Statistic', 'wp_tee_contest' ); ?></strong>
                                                        </a>
                                                    </li>
                                                    <?php
                                                    endif;
                                                    ?>
                                                </ul>
                                            </div>
                                        </div>
                                        <div class="ipbe-manage-content">
                                        
                                            <div class="ipbe-manage-info">
                                                <div class="row">
                                                    <div class="col-md-6">
                                                        <div class="ipbe-tab-title">
                                                            <i class="ibe ibe-cogs"></i>
                                                            <div class="ipbe-title-text">
                                                                <h3><?php _e( 'General', 'wp_tee_contest' ); ?></h3>
                                                                <p><?php _e( 'Basic settings and info of your contest page', 'wp_tee_contest' ); ?></p>
                                                            </div>
                                                        </div>
                                                    </div>
                                                    <div class="col-md-6">
                                                        <div class="ipbe-top-submit">
                                                            <button type="submit" class="ip-form-submit ipbe-btn ipbe-btn-primary ipbe-btn-lg <?php echo $submitId; ?>" id="do-update-top" name="update_top">
                                                                <i class="ibe ibe-<?php echo $submit_icon; ?>"></i>
                                                                <strong><?php echo $submit; ?></strong>
                                                            </button>
                                                            <?php
                                                            if ( $contest ) {
                                                                echo '<p class="ipbe-update-info">' .
                                                                        __( 'Last Update', 'wp_tee_contest' ) .
                                                                        ': <strong>' . mysql2date( 'd F Y, h:i:s', $contest->post_date ) . '</strong>' .
                                                                      '</p>';
                                                            }
                                                            ?>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                            <div class="ipbe-tab-contents">
                                                <?php
                                                //Main Info
                                                $this->_tab_general( $contest, $setting );
                                                if ( $contest ) {
                                                    //SEO
                                                    $this->_tab_seo( $contest, $setting );
                                                    //Content
                                                    $this->_tab_content( $contest, $setting );
                                                    //Design
                                                    $this->_tab_design( $contest, $setting );
                                                    //Email
                                                    $this->_tab_email( $contest, $setting );
                                                    //Share
                                                    $this->_tab_share( $contest, $setting );
                                                    //Countdown
                                                    $this->_tab_countdown( $contest, $setting );
                                                    //Statistic
                                                    $this->_tab_statistic( $contest, $setting );
                                                    //Contestants
                                                    $this->_tab_contestants( $contest, $setting );
                                                }
                                                ?>
                                            </div>
                                            
                                            <div class="ipbe-manage-footer">
                                                <div class="row">
                                                    <div class="col-md-6">
                                                        <div class="ipbe-bottom-submit">
                                                            <button type="submit" class="ip-form-submit ipbe-btn ipbe-btn-primary ipbe-btn-lg <?php echo $submitId; ?>" id="do-update-bottom" name="update_bottom">
                                                                <i class="ibe ibe-<?php echo $submit_icon; ?>"></i>
                                                                <strong><?php echo $submit; ?></strong>
                                                            </button>
                                                        </div>
                                                    </div>
                                                    <div class="col-md-6">
                                                        <div class="ipbe-bottom-action text-right">
                                                            <?php
                                                            if ( $contest ) :
                                                                $link = $this->_get_link_view( $contest );
                                                            ?>
                                                            <a href="<?php echo $link; ?>" class="ipbe-btn ipbe-btn-success ipbe-btn-lg" target="_blank">
                                                                <i class="ibe ibe-eye"></i>
                                                                <?php _e( 'View Page', 'wp_tee_contest' ); ?>
                                                            </a>
                                                            <?php
                                                            endif;
                                                            ?>
                                                        </div>
                                                    </div>
                                                </div>
                                            
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            
                            </form>
                            </div>
                        </div>
                    </div>
                    
                </div>
                
            </div>
            
        <?php
        }
        
        /**
         * Get link view
         *
         * @param  object $item
         * @return string
         */
        protected function _get_link_view( $item )
        {
            $home = get_home_url();
            $base = get_option( '__iptee_base_path', 'contest' );
            
            if ( get_option( 'permalink_structure' ) )  {
                $link = $home . "/$base/" . $item->post_name;
            } else {
                $link = $home . '/?contest_id=' . $item->ID . '&iptee=1';
            }
            
            return $link;
        }
        
        /**
         * Tab general
         *
         * @return void
         */
        protected function _tab_general( $contest, $setting )
        {
        ?>
            <div id="iptee-section-general" class="ipbe-tab-content">
                <div class="ipbe-tab-inner">
                    
                    <div class="ipbe-title-content ipbe-hide">
                        <i class="ibe ibe-cogs"></i>
                        <div class="ipbe-title-text">
                            <h3><?php _e( 'General', 'wp_tee_contest' ); ?></h3>
                            <p><?php _e( 'Basic settings and info of your contest page', 'wp_tee_contest' ); ?></p>
                        </div>
                    </div>
                    
                    <div class="ipbe-fields">
                        <div class="ipbe-field-row ipbe-field-y ipbe-help-abs">
                            <div class="ipbe-form-label">
                                <label for="input-name"><?php _e( 'Page Name', 'wp_tee_contest' ); ?></label>
                            </div>
                            <div class="ipbe-field">
                                <?php
                                $name = '';
                                if ( $contest ) {
                                    $name = stripslashes( $contest->post_title );
                                }
                                ?>
                                <input type="text" id="input-name" class="ipbe-input ipbe-input-full ipbe-input-v-lg" name="name" value="<?php echo $name; ?> ">
                                
                                <div class="ipbe-help">
                                    <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
                                    <div class="ipbe-help-content ipbe-hide">
                                        <?php _e( 'The name of the contest page. This data will not be used directly in shaping the contest page, only to mark the contest page, so it easier for you to manage it.', 'wp_tee_contest' ); ?>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="ipbe-field-row ipbe-field-x">
                            <div class="ipbe-form-label col-lg-3 col-md-4 col-sm-12">
                                <label for="input-permalink"><?php _e( 'Permalink', 'wp_tee_contest' ); ?></label>
                            </div>
                            <div class="ipbe-field col-lg-9 col-md-8 col-sm-12">
                                <?php
                                $slug  = '';
                                if ( $contest ) {
                                    $slug = stripslashes( $contest->post_name );
                                }
                                ?>

                                <span class="iptee-input-permalink">
                                    <strong class="italic font-h4 color-grey"><?php echo $this->_get_permalink_root(); ?></strong>
                                    <input type="text" id="input-permalink" class="ipbe-input ipbe-input-md" name="slug" value="<?php echo $slug; ?>">
                                </span>
                                
                                <div class="ipbe-help">
                                    <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
                                    <div class="ipbe-help-content ipbe-hide">
                                        <?php _e( 'Determining the structure of a link from the contest page. You can ignore this because it will be set directly by the system based on page name.', 'wp_tee_contest' ); ?>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="ipbe-field-row ipbe-field-x">
                            <div class="ipbe-form-label col-lg-3 col-md-4 col-sm-12">
                                <label for="input-status"><?php _e( 'Status', 'wp_tee_contest' ); ?></label>
                            </div>
                            <div class="ipbe-field col-lg-9 col-md-8 col-sm-12">
                            
                                <div class="ipbe-btn-onoff">
                                    <?php
                                    $val  = 'true';
                                    if ( $contest && $contest->post_status == 'draft' ) {
                                        $val = 'false';
                                    }
                                    if ( $val == 'false' ) {
                                        $clon  = '';
                                        $cloff = ' ipbe-btn-danger active';
                                    } else {
                                        $clon  = ' ipbe-btn-success active';
                                        $cloff = '';
                                    }
                                    ?>
                                    <div class="ipbe-btn-group">
                                        <button data-value="true" class="ipbe-btn<?php echo $clon; ?> ipbe-btn-on" type="button"><?php _e( 'Publish', 'wp_tee_contest' ); ?></button>
                                        <button data-value="false" class="ipbe-btn<?php echo $cloff; ?> ipbe-btn-off" type="button"><?php _e( 'Draft', 'wp_tee_contest' ); ?></button>
                                    </div>
                                    <input type="hidden" class="ipbe-onoff-value" name="status" value="<?php echo $val; ?>" />
                                </div>
                                
                                <div class="ipbe-help">
                                    <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
                                    <div class="ipbe-help-content ipbe-hide">
                                        <?php _e( 'Determining the status of the contest page whether the page will be viewable by the public or not. If set to draft the URL to access the page will generate an error page not found.', 'wp_tee_contest' ); ?>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="ipbe-field-row ipbe-field-x">
                            <div class="ipbe-form-label col-lg-3 col-md-4 col-sm-12">
                                <label for="input-restricted-contestant"><?php _e( 'Restricted Contestant', 'wp_tee_contest' ); ?></label>
                            </div>
                            <div class="ipbe-field col-lg-9 col-md-8 col-sm-12">
                            
                                <div class="ipbe-btn-onoff">
                                    <?php
                                    $val = $setting->getSetting( 'restricted_contestant', 'true' );
                                    if ( $val == 'false' ) {
                                        $clon  = '';
                                        $cloff = ' ipbe-btn-danger active';
                                    } else {
                                        $clon  = ' ipbe-btn-success active';
                                        $cloff = '';
                                    }
                                    ?>
                                    <div class="ipbe-btn-group">
                                        <button data-value="true" class="ipbe-btn<?php echo $clon; ?> ipbe-btn-on" type="button"><?php _e( 'On', 'wp_tee_contest' ); ?></button>
                                        <button data-value="false" class="ipbe-btn<?php echo $cloff; ?> ipbe-btn-off" type="button"><?php _e( 'Off', 'wp_tee_contest' ); ?></button>
                                    </div>
                                    <input type="hidden" class="ipbe-onoff-value" name="restricted_contestant" value="<?php echo $val; ?>" />
                                </div>
                                
                                <div class="ipbe-help">
                                    <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
                                    <div class="ipbe-help-content ipbe-hide">
                                        <?php _e( 'determining whether to tighten the contestants, so that the contestants can only enter the contest once. Make sure this option is set to true unless you are doing testing.', 'wp_tee_contest' ); ?>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    
                </div>
            </div>
        <?php
        }
        
        /**
         * Get permalink root
         *
         * @return string
         */
        protected function _get_permalink_root()
        {
            $home = get_home_url();
            $path = get_option( '__iptee_root_path', 'contest' );
            $root = $home . '/' . $path . '/';
            return $root;
        }
        
        /**
         * Tab SEO
         *
         * @return void
         */
        protected function _tab_seo( $contest, $setting )
        {
        ?>
            <div id="iptee-section-seo" class="ipbe-tab-content">
                <div class="ipbe-tab-inner">
                    
                    <div class="ipbe-title-content ipbe-hide">
                        <i class="ibe ibe-globe"></i>
                        <div class="ipbe-title-text">
                            <h3><?php _e( 'SEO Settings', 'wp_tee_contest' ); ?></h3>
                            <p><?php _e( 'Set SEO content for improve your contest page ranking in search engine', 'wp_tee_contest' ); ?></p>
                        </div>
                    </div>
                    
                    <div class="ipbe-fields">
                        <?php
                        //Meta Title
                        ?>
                        <div class="ipbe-field-row ipbe-field-x ipbe-help-abs">
                            <div class="ipbe-form-label col-lg-3 col-md-4 col-sm-12">
                                <label for="input-meta-title"><?php _e( 'Meta Title', 'wp_tee_contest' ); ?></label>
                            </div>
                            <div class="ipbe-field col-lg-9 col-md-8 col-sm-12">
                                
                                <input type="text" id="input-meta-title" class="ipbe-input ipbe-input-full" name="meta_title" value="<?php echo stripslashes( $setting->getSetting( 'meta_title' )); ?>">
                                
                                <div class="ipbe-help">
                                    <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
                                    <div class="ipbe-help-content ipbe-hide">
                                        <?php _e( 'Specifies the meta title of the contest page.', 'wp_tee_contest' ); ?>
                                    </div>
                                </div>
                            </div>
                        </div>
                        
                        <?php
                        //Meta Description
                        ?>
                        <div class="ipbe-field-row ipbe-field-x ipbe-help-abs">
                            <div class="ipbe-form-label col-lg-3 col-md-4 col-sm-12">
                                <label for="input-meta-description"><?php _e( 'Meta Description', 'wp_tee_contest' ); ?></label>
                            </div>
                            <div class="ipbe-field col-lg-9 col-md-8 col-sm-12">
                                
                                <input type="text" id="input-meta-description" class="ipbe-input ipbe-input-full" name="meta_description" value="<?php echo stripslashes( $setting->getSetting( 'meta_description' )); ?>">
                                
                                <div class="ipbe-help">
                                    <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
                                    <div class="ipbe-help-content ipbe-hide">
                                        <?php _e( 'Specifies the meta description of the contest page.', 'wp_tee_contest' ); ?>
                                    </div>
                                </div>
                            </div>
                        </div>
                        
                        <?php
                        //Meta Keywords
                        ?>
                        <div class="ipbe-field-row ipbe-field-x ipbe-help-abs">
                            <div class="ipbe-form-label col-lg-3 col-md-4 col-sm-12">
                                <label for="input-meta-keywords"><?php _e( 'Meta Keywords', 'wp_tee_contest' ); ?></label>
                            </div>
                            <div class="ipbe-field col-lg-9 col-md-8 col-sm-12">
                                
                                <input type="text" id="input-meta-keywords" class="ipbe-input ipbe-input-full" name="meta_keywords" value="<?php echo stripslashes( $setting->getSetting( 'meta_keywords' )); ?>">
                                
                                <div class="ipbe-help">
                                    <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
                                    <div class="ipbe-help-content ipbe-hide">
                                        <?php _e( 'Specifies the meta keywords url of the contest page.', 'wp_tee_contest' ); ?>
                                    </div>
                                </div>
                            </div>
                        </div>
                        
                    </div>
                    
                </div>
            </div>
        <?php
        }
        
        /**
         * Tab Content
         *
         * @return void
         */
        protected function _tab_content( $contest, $setting )
        {
        ?>
            <div id="iptee-section-content" class="ipbe-tab-content">
                <div class="ipbe-tab-inner">
                    
                    <div class="ipbe-title-content ipbe-hide">
                        <i class="ibe ibe-file-o"></i>
                        <div class="ipbe-title-text">
                            <h3><?php _e( 'Content', 'wp_tee_contest' ); ?></h3>
                            <p><?php _e( 'Set all contents of your contest page', 'wp_tee_contest' ); ?></p>
                        </div>
                    </div>
                    
                    <div class="ipbe-fields">
                    
                        <?php
                        //Main Headline
                        ?>
                        <div class="ipbe-field-row ipbe-field-x ipbe-help-abs">
                            <div class="ipbe-form-label col-lg-3 col-md-4 col-sm-12">
                                <label for="input-main-headline"><?php _e( 'Main Headline', 'wp_tee_contest' ); ?></label>
                            </div>
                            <div class="ipbe-field col-lg-9 col-md-8 col-sm-12">
                                
                                <input type="text" id="input-main-headline" class="ipbe-input ipbe-input-full" name="main_headline" value="<?php echo stripslashes( $setting->getSetting( 'main_headline' )); ?>">
                                
                                <div class="ipbe-help">
                                    <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
                                    <div class="ipbe-help-content ipbe-hide">
                                        <?php _e( 'Determining the main headline from the contest page.', 'wp_tee_contest' ); ?>
                                    </div>
                                </div>
                            </div>
                        </div>
                    
                        <?php
                        //Sub Headline
                        ?>
                        <div class="ipbe-field-row ipbe-field-x ipbe-help-abs">
                            <div class="ipbe-form-label col-lg-3 col-md-4 col-sm-12">
                                <label for="input-sub-headline"><?php _e( 'Sub Headline', 'wp_tee_contest' ); ?></label>
                            </div>
                            <div class="ipbe-field col-lg-9 col-md-8 col-sm-12">
                                
                                <input type="text" id="input-sub-headline" class="ipbe-input ipbe-input-full" name="sub_headline" value="<?php echo stripslashes( $setting->getSetting( 'sub_headline' )); ?>">
                                
                                <div class="ipbe-help">
                                    <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
                                    <div class="ipbe-help-content ipbe-hide">
                                        <?php _e( 'Determining the sub headline from the contest page.', 'wp_tee_contest' ); ?>
                                    </div>
                                </div>
                            </div>
                        </div>
                        
                        <?php
                        //Contest Text
                        ?>
                        <div class="ipbe-field-row ipbe-field-x ipbe-help-abs">
                            <div class="ipbe-form-label col-lg-3 col-md-4 col-sm-12">
                                <label for="input-contest-text"><?php _e( 'Contest Text', 'wp_tee_contest' ); ?></label>
                            </div>
                            <div class="ipbe-field col-lg-9 col-md-8 col-sm-12">
                                
                                <textarea id="input-contest-text" class="ipbe-input ipbe-input-full" name="contest_text" rows="5"><?php echo $setting->getSetting( 'contest_text' ); ?></textarea>
                                
                                <div class="ipbe-help">
                                    <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
                                    <div class="ipbe-help-content ipbe-hide">
                                        <?php _e( 'Determining the text info from the contest page', 'wp_tee_contest' ); ?>
                                    </div>
                                </div>
                            </div>
                        </div>
                        
                        <?php
                        //Contest Image
                        ?>
                        <div class="ipbe-field-row ipbe-field-x ipbe-help-abs">
                            <div class="ipbe-form-label col-lg-3 col-md-4 col-sm-12">
                                <label for="input-contest-image"><?php _e( 'Contest Image', 'wp_tee_contest' ); ?></label>
                            </div>
                            <div class="ipbe-field col-lg-9 col-md-8 col-sm-12">
            
            <div class="ipbe-upload-image ipbe-clear">
                <div class="ipbe-upload-preview">
                    <?php
                    $setimg = false;
                    if ( $setting ) {
                        if ( $attach_id = $setting->getSetting( 'contest_image' ) ) {
                            $setimg = true;
                            $data   = wp_get_attachment_image_src( $attach_id, 'thumbnail' );
                        }
                    }
                    if ( $setimg ) {
                        echo '<div class="image"><img src="' . $data[0] . '" /></div>';
                        echo '<div class="none ipbe-hide">' . __( 'No image', 'wp_tee_contest' ) . '</div>';
                        $reset_dsp = '';
                    } else {
                        echo '<div class="image"></div>';
                        echo '<div class="none">' . __( 'No image', 'wp_tee_contest' ) . '</div>';
                        $reset_dsp = ' style="display:none;"';
                    }
                    ?>
                </div>
                
                <div class="ipbe-image-field">
                    <div class="ipbe-select-image">
                        <p class="mt0"><?php _e( 'Select an image or upload new image using the button below.', 'wp_tee_contest' ); ?></p>
                        <a class="ipbe-btn ipbe-btn-primary ipbe-btn-media ipbe-btn-sm" name="select_image" data-choose="<?php esc_attr_e( 'Choose Contest Image' ); ?>"
                          data-update="<?php esc_attr_e( 'Choose image' ); ?>">
                            <i class="ibe ibe-image"></i>
                            <?php _e( 'Select Image', 'wp_tee_contest' ); ?>
                        </a>
                        <a class="ipbe-btn ipbe-btn-reset ipbe-btn-sm" href="#"<?php echo $reset_dsp; ?>>
                            <i class="ibe ibe-ban"></i>
                            <?php _e( 'Clear Image', 'wp_tee_contest' ); ?>
                        </a>
                    </div>
                    <input type="hidden" name="upload_type" class="ipbe-upload-type" value="contest_image" />
                    <input type="hidden" name="contest_image" class="ipbe-image-id" value="<?php echo $attach_id; ?>" />
                </div>
            </div>
            
                                <div class="ipbe-help">
                                    <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
                                    <div class="ipbe-help-content ipbe-hide">
                                        <?php _e( 'Determining the preview image from the contest page', 'wp_tee_contest' ); ?>
                                    </div>
                                </div>
                            </div>
                        </div>
                        
                        <?php
                        //Get Free Content
                        ?>
                        <h3 class="ipbe-field-title">
                            <?php _e( 'Get Free Content', 'wp_tee_contest' ); ?>
                        </h3>
                    
                        <?php
                        //Title
                        ?>
                        <div class="ipbe-field-row ipbe-field-x ipbe-help-abs">
                            <div class="ipbe-form-label col-lg-3 col-md-4 col-sm-12">
                                <label for="input-free-title"><?php _e( 'Get Free Title', 'wp_tee_contest' ); ?></label>
                            </div>
                            <div class="ipbe-field col-lg-9 col-md-8 col-sm-12">
                                
                                <input type="text" id="input-free-title" class="ipbe-input ipbe-input-full" name="free_title" value="<?php echo $setting->getSetting( 'free_title' ); ?>">
                                
                                <div class="ipbe-help">
                                    <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
                                    <div class="ipbe-help-content ipbe-hide">
                                        <?php _e( 'Specifies the title of the section that used by the user to follow the contest.', 'wp_tee_contest' ); ?>
                                    </div>
                                </div>
                            </div>
                        </div>
                    
                        <?php
                        //Info
                        ?>
                        <div class="ipbe-field-row ipbe-field-x ipbe-help-abs">
                            <div class="ipbe-form-label col-lg-3 col-md-4 col-sm-12">
                                <label for="input-free-info"><?php _e( 'Get Free Info', 'wp_tee_contest' ); ?></label>
                            </div>
                            <div class="ipbe-field col-lg-9 col-md-8 col-sm-12">
                                
                                <input type="text" id="input-free-info" class="ipbe-input ipbe-input-full" name="free_info" value="<?php echo $setting->getSetting( 'free_info' ); ?>">
                                
                                <div class="ipbe-help">
                                    <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
                                    <div class="ipbe-help-content ipbe-hide">
                                        <?php _e( 'Specifies the text info of the section that used by the user to follow the contest.', 'wp_tee_contest' ); ?>
                                    </div>
                                </div>
                            </div>
                        </div>
                        
                        <?php
                        //Reserve Your Spot Content
                        ?>
                        <h3 class="ipbe-field-title">
                            <?php _e( 'Reserve Your Spot Content', 'wp_tee_contest' ); ?>
                        </h3>
                    
                        <?php
                        //Order Now Headline
                        ?>
                        <div class="ipbe-field-row ipbe-field-x ipbe-help-abs">
                            <div class="ipbe-form-label col-lg-3 col-md-4 col-sm-12">
                                <label for="input-order-now-headline"><?php _e( 'Order Now Headline', 'wp_tee_contest' ); ?></label>
                            </div>
                            <div class="ipbe-field col-lg-9 col-md-8 col-sm-12">
                                
                                <input type="text" id="input-order-now-headline" class="ipbe-input ipbe-input-full" name="order_now_headline" value="<?php echo stripslashes( $setting->getSetting( 'order_now_headline' )); ?>">
                                
                                <div class="ipbe-help">
                                    <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
                                    <div class="ipbe-help-content ipbe-hide">
                                        <?php _e( 'Specifies the headline of the section that tells the user about purchasing products directly.', 'wp_tee_contest' ); ?>
                                    </div>
                                </div>
                            </div>
                        </div>
                    
                        <?php
                        //Order Now Headline
                        ?>
                        <div class="ipbe-field-row ipbe-field-x ipbe-help-abs">
                            <div class="ipbe-form-label col-lg-3 col-md-4 col-sm-12">
                                <label for="input-order-now-sub-headline"><?php _e( 'Order Now Sub Headline', 'wp_tee_contest' ); ?></label>
                            </div>
                            <div class="ipbe-field col-lg-9 col-md-8 col-sm-12">
                                
                                <input type="text" id="input-order-now-sub-headline" class="ipbe-input ipbe-input-full" name="order_now_sub_headline" value="<?php echo stripslashes( $setting->getSetting( 'order_now_sub_headline' )); ?>">
                                
                                <div class="ipbe-help">
                                    <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
                                    <div class="ipbe-help-content ipbe-hide">
                                        <?php _e( 'Specifies the sub headline of the section that tells the user about purchasing products directly.', 'wp_tee_contest' ); ?>
                                    </div>
                                </div>
                            </div>
                        </div>
                        
                        <?php
                        //Order Now URL
                        ?>
                        <div class="ipbe-field-row ipbe-field-x ipbe-help-abs">
                            <div class="ipbe-form-label col-lg-3 col-md-4 col-sm-12">
                                <label for="input-order-now-url"><?php _e( 'Order Now URL', 'wp_tee_contest' ); ?></label>
                            </div>
                            <div class="ipbe-field col-lg-9 col-md-8 col-sm-12">
                                
                                <input type="text" id="input-order-now-url" class="ipbe-input ipbe-input-full" name="order_now_url" value="<?php echo $setting->getSetting( 'order_now_url' ); ?>">
                                
                                <div class="ipbe-help">
                                    <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
                                    <div class="ipbe-help-content ipbe-hide">
                                        <?php _e( 'Specifies the URL of the product purchase page directly.', 'wp_tee_contest' ); ?>
                                    </div>
                                </div>
                            </div>
                        </div>
                    
                        <?php
                        //Order Now Button text
                        ?>
                        <div class="ipbe-field-row ipbe-field-x ipbe-help-abs">
                            <div class="ipbe-form-label col-lg-3 col-md-4 col-sm-12">
                                <label for="input-order-now-button-text"><?php _e( 'Order Now Button Text', 'wp_tee_contest' ); ?></label>
                            </div>
                            <div class="ipbe-field col-lg-9 col-md-8 col-sm-12">
                                
                                <input type="text" id="input-order-now-button-text" class="ipbe-input ipbe-input-full" name="order_now_button_text" value="<?php echo stripslashes( $setting->getSetting( 'order_now_button_text' )); ?>">
                                
                                <div class="ipbe-help">
                                    <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
                                    <div class="ipbe-help-content ipbe-hide">
                                        <?php _e( 'Specifies text or label of the button to order products directly.', 'wp_tee_contest' ); ?>
                                    </div>
                                </div>
                            </div>
                        </div>
            
                        <?php
                        //Order Now Button Style
                        ?>
                        <div class="ipbe-field-row ipbe-field-x">
                            <div class="ipbe-form-label col-lg-3 col-md-4 col-sm-12">
                                <label for="input-order-now-button-style"><?php _e( 'Order Now Button Style', 'wp_tee_contest' ); ?></label>
                            </div>
                            <div class="ipbe-field col-lg-9 col-md-8 col-sm-12">
                                
                                <select name="order_now_button_style" id="input-order-now-button-style">
                                    <?php
                                    $current = $setting->getSetting( 'order_now_button_style', 'grey' );
                                    $styles  = array(
                                        'grey'    => __( 'Grey', 'wp_tee_contest' ),
                                        'black'   => __( 'Black', 'wp_tee_contest' ),
                                        'blue'    => __( 'Blue', 'wp_tee_contest' ),
                                        'green'   => __( 'Green', 'wp_tee_contest' ),
                                        'orange'  => __( 'Orange', 'wp_tee_contest' ),
                                        'red'     => __( 'Red', 'wp_tee_contest' )
                                    );
                                    foreach( $styles as $key => $label ) {
                                        $sltd = '';
                                        if ( $key == $current ) {
                                            $sltd = ' selected="selected"';
                                        }
                                        echo '<option value="' . $key . '"' . $sltd .'>'. $label .'</option>';
                                    }
                                    ?>
                                </select>
                                
                                <div class="ipbe-help">
                                    <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
                                    <div class="ipbe-help-content ipbe-hide">
                                        <?php _e( 'Specifies style of the button to order products directly', 'wp_tee_contest' ); ?>
                                    </div>
                                </div>
                            </div>
                        </div>
                        
                        <?php
                        //Bellow The Fold Content
                        ?>
                        <h3 class="ipbe-field-title">
                            <?php _e( '"Bellow The Fold" Content', 'wp_tee_contest' ); ?>
                        </h3>
                    
                        <?php
                        //Show/hide content
                        ?>
                        <div class="ipbe-field-row ipbe-field-x">
                            <div class="ipbe-form-label col-lg-3 col-md-4 col-sm-12">
                                <label for="input-bellow-activate"><?php _e( 'Show/hide Content', 'wp_tee_contest' ); ?></label>
                            </div>
                            <div class="ipbe-field col-lg-9 col-md-8 col-sm-12">
                                
                                <div class="ipbe-btn-onoff">
                                    <?php
                                    $val = $setting->getSetting( 'bellow_activate', 'true' );
                                    if ( $val == 'false' ) {
                                        $clon  = '';
                                        $cloff = ' ipbe-btn-danger active';
                                    } else {
                                        $clon  = ' ipbe-btn-success active';
                                        $cloff = '';
                                    }
                                    ?>
                                    <div class="ipbe-btn-group">
                                        <button data-value="true" class="ipbe-btn<?php echo $clon; ?> ipbe-btn-on" type="button"><?php _e( 'Show', 'wp_tee_contest' ); ?></button>
                                        <button data-value="false" class="ipbe-btn<?php echo $cloff; ?> ipbe-btn-off" type="button"><?php _e( 'Hide', 'wp_tee_contest' ); ?></button>
                                    </div>
                                    <input type="hidden" class="ipbe-onoff-value" name="bellow_activate" value="<?php echo $val; ?>" />
                                </div>
                                
                                <div class="ipbe-help">
                                    <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
                                    <div class="ipbe-help-content ipbe-hide">
                                        <?php _e( 'Specifies whether to display the "bellows the fold" section (content placed below the main content) or not.', 'wp_tee_contest' ); ?>
                                    </div>
                                </div>
                            </div>
                        </div>
                    
                        <?php
                        //Content
                        ?>
                        <div class="ipbe-field-row ipbe-field-x ipbe-help-abs">
                            <div class="ipbe-form-label col-lg-3 col-md-4 col-sm-12">
                                <label for="input-bellow_content"><?php _e( 'Main Content', 'wp_tee_contest' ); ?></label>
                            </div>
                            <div class="ipbe-field col-lg-9 col-md-8 col-sm-12">
                                
                                <div class="ipbe-editor">
                                    <?php
                                    $tinymceInit = array(
                                        'editor_height' => 60
                                    );
                                    $content = stripslashes( $setting->getSetting( 'bellow_content', '' ));
                                    wp_editor( $content, 'bellow_content', array( 
                                        'editor_height' => 60,
                                        'tinymce'       => $tinymceInit
                                    )); 
                                    ?>
                                </div>
                                <div class="ipbe-help">
                                    <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
                                    <div class="ipbe-help-content ipbe-hide">
                                        <?php _e( 'Specifies the content of the "bellows the fold" section (content placed below the main content).', 'wp_tee_contest' ); ?>
                                    </div>
                                </div>
                            </div>
                        </div>
                    
                        <?php
                        //Show/hide share button
                        ?>
                        <div class="ipbe-field-row ipbe-field-x">
                            <div class="ipbe-form-label col-lg-3 col-md-4 col-sm-12">
                                <label for="input-bellow-share-activate"><?php _e( 'Show/hide Share Button', 'wp_tee_contest' ); ?></label>
                            </div>
                            <div class="ipbe-field col-lg-9 col-md-8 col-sm-12">
                                
                                <div class="ipbe-btn-onoff">
                                    <?php
                                    $val = $setting->getSetting( 'bellow_share_activate', 'true' );
                                    if ( $val == 'false' ) {
                                        $clon  = '';
                                        $cloff = ' ipbe-btn-danger active';
                                    } else {
                                        $clon  = ' ipbe-btn-success active';
                                        $cloff = '';
                                    }
                                    ?>
                                    <div class="ipbe-btn-group">
                                        <button data-value="true" class="ipbe-btn<?php echo $clon; ?> ipbe-btn-on" type="button"><?php _e( 'Show', 'wp_tee_contest' ); ?></button>
                                        <button data-value="false" class="ipbe-btn<?php echo $cloff; ?> ipbe-btn-off" type="button"><?php _e( 'Hide', 'wp_tee_contest' ); ?></button>
                                    </div>
                                    <input type="hidden" class="ipbe-onoff-value" name="bellow_share_activate" value="<?php echo $val; ?>" />
                                </div>
                                
                                <div class="ipbe-help">
                                    <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
                                    <div class="ipbe-help-content ipbe-hide">
                                        <?php _e( 'Specifies whether to display the share buttons in the "bellows the fold" section (content placed below the main content).', 'wp_tee_contest' ); ?>
                                    </div>
                                </div>
                            </div>
                        </div>
                        
                        <?php
                        //Footer Content
                        ?>
                        <h3 class="ipbe-field-title">
                            <?php _e( 'Footer Content', 'wp_tee_contest' ); ?>
                        </h3>
                        
                        <?php
                        //Footer Content
                        ?>
                        <div class="ipbe-field-row ipbe-field-x ipbe-help-abs">
                            <div class="ipbe-form-label col-lg-3 col-md-4 col-sm-12">
                                <label for="input-footer-content"><?php _e( 'Footer Content', 'wp_tee_contest' ); ?></label>
                            </div>
                            <div class="ipbe-field col-lg-9 col-md-8 col-sm-12">
                                
                                <div class="ipbe-editor">
                                    <?php
                                    $tinymceInit = array(
                                        'editor_height' => 60
                                    );
                                    $content = stripslashes( $setting->getSetting( 'footer_content', '' ));
                                    wp_editor( $content, 'footer_content', array( 
                                        'editor_height' => 60,
                                        'tinymce'       => $tinymceInit
                                    )); 
                                    ?>
                                </div>
                                <div class="ipbe-help">
                                    <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
                                    <div class="ipbe-help-content ipbe-hide">
                                        <?php _e( 'Specifies the content of the footer section.', 'wp_tee_contest' ); ?>
                                    </div>
                                </div>
                            </div>
                        </div>
                        
                    </div>
                    
                </div>
            </div>
        <?php
        }
        
        /**
         * Tab Design
         *
         * @return void
         */
        protected function _tab_design( $contest, $setting )
        {
        ?>
            <div id="iptee-section-design" class="ipbe-tab-content">
                <div class="ipbe-tab-inner">
                    
                    <div class="ipbe-title-content ipbe-hide">
                        <i class="ibe ibe-paint-brush"></i>
                        <div class="ipbe-title-text">
                            <h3><?php _e( 'Design Settings', 'wp_tee_contest' ); ?></h3>
                            <p><?php _e( 'Set the appearance of contest page', 'wp_tee_contest' ); ?></p>
                        </div>
                    </div>
                    
                    <div class="ipbe-fields">
                        
                        <?php
                        //Top Style
                        ?>
                        <h3 class="ipbe-field-title">
                            <?php _e( 'Top Style', 'wp_tee_contest' ); ?>
                        </h3>
                        
                        <?php
                        //Logo
                        ?>
                        <div class="ipbe-field-row ipbe-field-x ipbe-help-abs">
                            <div class="ipbe-form-label col-lg-3 col-md-4 col-sm-12">
                                <label for="input-logo"><?php _e( 'Logo', 'wp_tee_contest' ); ?></label>
                            </div>
                            <div class="ipbe-field col-lg-9 col-md-8 col-sm-12">
            
            <div class="ipbe-upload-image ipbe-clear">
                <div class="ipbe-upload-preview">
                    <?php
                    $setimg = false;
                    if ( $setting ) {
                        if ( $attach_id = $setting->getSetting( 'logo' ) ) {
                            $setimg = true;
                            $data   = wp_get_attachment_image_src( $attach_id, 'thumbnail' );
                        }
                    }
                    if ( $setimg ) {
                        echo '<div class="image"><img src="' . $data[0] . '" /></div>';
                        echo '<div class="none ipbe-hide">' . __( 'No logo', 'wp_tee_contest' ) . '</div>';
                        $reset_dsp = '';
                    } else {
                        echo '<div class="image"></div>';
                        echo '<div class="none">' . __( 'No logo', 'wp_tee_contest' ) . '</div>';
                        $reset_dsp = ' style="display:none;"';
                    }
                    ?>
                </div>
                
                <div class="ipbe-image-field">
                    <div class="ipbe-select-image">
                        <p class="mt0"><?php _e( 'Select an logo or upload new logo using the button below.', 'wp_tee_contest' ); ?></p>
                        <a class="ipbe-btn ipbe-btn-primary ipbe-btn-media ipbe-btn-sm" name="select_image" data-choose="<?php esc_attr_e( 'Choose Logo' ); ?>"
                          data-update="<?php esc_attr_e( 'Choose logo' ); ?>">
                            <i class="ibe ibe-image"></i>
                            <?php _e( 'Select Logo', 'wp_tee_contest' ); ?>
                        </a>
                        <a class="ipbe-btn ipbe-btn-reset ipbe-btn-sm" href="#"<?php echo $reset_dsp; ?>>
                            <i class="ibe ibe-ban"></i>
                            <?php _e( 'Clear Logo', 'wp_tee_contest' ); ?>
                        </a>
                    </div>
                    <input type="hidden" name="upload_type" class="ipbe-upload-type" value="logo" />
                    <input type="hidden" name="logo" class="ipbe-image-id" value="<?php echo $attach_id; ?>" />
                </div>
            </div>
            
                                <div class="ipbe-help">
                                    <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
                                    <div class="ipbe-help-content ipbe-hide">
                                        <?php _e( 'Determine the logo image of the contest page.', 'wp_tee_contest' ); ?>
                                    </div>
                                </div>
                            </div>
                        </div>
                        
                        <?php
                        //Background Color
                        ?>
                        <div class="ipbe-field-row ipbe-field-x">
                            <div class="ipbe-form-label col-lg-3 col-md-4 col-sm-12">
                                <label for="input-top-bg-color"><?php _e( 'Background Color', 'wp_tee_contest' ); ?></label>
                            </div>
                            <div class="ipbe-field col-lg-9 col-md-8 col-sm-12">
                            
                                <div class="ipbe-btn-onoff mr10">
                                    <?php
                                    $val = $setting->getSetting( 'top_bg_color_activate', 'false' );
                                    if ( $val == 'false' ) {
                                        $clon  = '';
                                        $cloff = ' ipbe-btn-danger active';
                                    } else {
                                        $clon  = ' ipbe-btn-success active';
                                        $cloff = '';
                                    }
                                    ?>
                                    <div class="ipbe-btn-group">
                                        <button data-value="true" class="ipbe-btn<?php echo $clon; ?> ipbe-btn-on" type="button"><?php _e( 'Show', 'wp_tee_contest' ); ?></button>
                                        <button data-value="false" class="ipbe-btn<?php echo $cloff; ?> ipbe-btn-off" type="button"><?php _e( 'Hide', 'wp_tee_contest' ); ?></button>
                                    </div>
                                    <input type="hidden" class="ipbe-onoff-value" name="top_bg_color_activate" value="<?php echo $val; ?>" />
                                </div>
                                
                                <input type="text" class="iptee-color-picker" id="input-top-bg-color" name="top_bg_color" value="<?php echo $setting->getSetting( 'top_bg_color', '#444444' ); ?>" />
                                
                                <div class="ipbe-help">
                                    <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
                                    <div class="ipbe-help-content ipbe-hide">
                                        <?php _e( 'Specifies the background color of the top section.', 'wp_tee_contest' ); ?>
                                    </div>
                                </div>
                            </div>
                        </div>
                        
                        <?php
                        //Border
                        ?>
                        <div class="ipbe-field-row ipbe-field-x">
                            <div class="ipbe-form-label col-lg-3 col-md-4 col-sm-12">
                                <label for="input-top-border-status"><?php _e( 'Border', 'wp_tee_contest' ); ?></label>
                            </div>
                            <div class="ipbe-field col-lg-9 col-md-8 col-sm-12">
                                
                                <div class="ipbe-btn-onoff mr10">
                                    <?php
                                    $val = $setting->getSetting( 'top_border_status', 'false' );
                                    if ( $val == 'false' ) {
                                        $clon  = '';
                                        $cloff = ' ipbe-btn-danger active';
                                    } else {
                                        $clon  = ' ipbe-btn-success active';
                                        $cloff = '';
                                    }
                                    ?>
                                    <div class="ipbe-btn-group">
                                        <button data-value="true" class="ipbe-btn<?php echo $clon; ?> ipbe-btn-on" type="button"><?php _e( 'Show', 'wp_tee_contest' ); ?></button>
                                        <button data-value="false" class="ipbe-btn<?php echo $cloff; ?> ipbe-btn-off" type="button"><?php _e( 'Hide', 'wp_tee_contest' ); ?></button>
                                    </div>
                                    <input type="hidden" class="ipbe-onoff-value" name="top_border_status" value="<?php echo $val; ?>" />
                                </div>
                                
                                <?php
                                $width = absint( $setting->getSetting( 'top_border_width', 1 ));
                                ?>
                                <div class="ipbe-input-group mr5">
                                    <input type="text" id="input-top-border-width" class="ipbe-input ipbe-input-xs" name="top_border_width" value="<?php echo $width; ?>" placeholder="<?php _e( 'Width', 'wp_tee_contest' ); ?>">
                                    <div class="ipbe-input-addon">px</div>
                                </div>
                                
                                <select name="top_border_style" id="input-top-border-style mr5">
                                    <?php
                                    $current = $setting->getSetting( 'top_border_style', 'solid' );
                                    $styles  = array(
                                        'solid'   => __( 'Solid', 'wp_tee_contest' ),
                                        'dashed'  => __( 'Dashed', 'wp_tee_contest' ),
                                        'dotted'  => __( 'Dotted', 'wp_tee_contest' )
                                    );
                                    foreach( $styles as $key => $label ) {
                                        $sltd = '';
                                        if ( $key == $current ) {
                                            $sltd = ' selected="selected"';
                                        }
                                        echo '<option value="' . $key . '"' . $sltd .'>'. $label .'</option>';
                                    }
                                    ?>
                                </select>
                                
                                <input type="text" class="iptee-color-picker" id="input-top-border-color" name="top_border_color" value="<?php echo $setting->getSetting( 'top_border_color', '#333333' ); ?>" />
                                
                                <div class="ipbe-help">
                                    <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
                                    <div class="ipbe-help-content ipbe-hide">
                                        <?php _e( 'Specifies the border of the top section', 'wp_tee_contest' ); ?>
                                    </div>
                                </div>
                            </div>
                        </div>
                        
                        <?php
                        //Border Radius
                        ?>
                        <div class="ipbe-field-row ipbe-field-x">
                            <div class="ipbe-form-label col-lg-3 col-md-4 col-sm-12">
                                <label for="input-top-radius"><?php _e( 'Border Radius', 'wp_tee_contest' ); ?></label>
                            </div>
                            <div class="ipbe-field col-lg-9 col-md-8 col-sm-12">
                            
                                <select name="top_radius" id="input-top-radius">
                                    <?php
                                    $current = $setting->getSetting( 'top_radius', 'none' );
                                    $styles  = array(
                                        'none' => __( 'None', 'wp_tee_contest' ),
                                        'sm'   => __( 'Small', 'wp_tee_contest' ),
                                        'md'   => __( 'Medium', 'wp_tee_contest' ),
                                        'lg'   => __( 'Large', 'wp_tee_contest' )
                                    );
                                    foreach( $styles as $key => $label ) {
                                        $sltd = '';
                                        if ( $key == $current ) {
                                            $sltd = ' selected="selected"';
                                        }
                                        echo '<option value="' . $key . '"' . $sltd .'>'. $label .'</option>';
                                    }
                                    ?>
                                </select>
                                
                                <div class="ipbe-help">
                                    <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
                                    <div class="ipbe-help-content ipbe-hide">
                                        <?php _e( 'Specifies the border radius of the top section', 'wp_tee_contest' ); ?>
                                    </div>
                                </div>
                            </div>
                        </div>
                        
                        <?php
                        //Footer Style
                        ?>
                        <h3 class="ipbe-field-title">
                            <?php _e( 'Footer Style', 'wp_tee_contest' ); ?>
                        </h3>
                        
                        <?php
                        //Text Color
                        ?>
                        <div class="ipbe-field-row ipbe-field-x">
                            <div class="ipbe-form-label col-lg-3 col-md-4 col-sm-12">
                                <label for="input-footer-text-color"><?php _e( 'Text Color', 'wp_tee_contest' ); ?></label>
                            </div>
                            <div class="ipbe-field col-lg-9 col-md-8 col-sm-12">
                            
                                <input type="text" class="iptee-color-picker" id="input-footer-text-color" name="footer_text_color" value="<?php echo $setting->getSetting( 'footer_text_color', '#eeeeee' ); ?>" />
                                
                                <div class="ipbe-help">
                                    <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
                                    <div class="ipbe-help-content ipbe-hide">
                                        <?php _e( 'Specifies the text color of the footer section.', 'wp_tee_contest' ); ?>
                                    </div>
                                </div>
                            </div>
                        </div>
                        
                        <?php
                        //Background Color
                        ?>
                        <div class="ipbe-field-row ipbe-field-x">
                            <div class="ipbe-form-label col-lg-3 col-md-4 col-sm-12">
                                <label for="input-footer-bg-color"><?php _e( 'Background Color', 'wp_tee_contest' ); ?></label>
                            </div>
                            <div class="ipbe-field col-lg-9 col-md-8 col-sm-12">
                            
                                <div class="ipbe-btn-onoff mr10">
                                    <?php
                                    $val = $setting->getSetting( 'footer_bg_color_activate', 'false' );
                                    if ( $val == 'false' ) {
                                        $clon  = '';
                                        $cloff = ' ipbe-btn-danger active';
                                    } else {
                                        $clon  = ' ipbe-btn-success active';
                                        $cloff = '';
                                    }
                                    ?>
                                    <div class="ipbe-btn-group">
                                        <button data-value="true" class="ipbe-btn<?php echo $clon; ?> ipbe-btn-on" type="button"><?php _e( 'Show', 'wp_tee_contest' ); ?></button>
                                        <button data-value="false" class="ipbe-btn<?php echo $cloff; ?> ipbe-btn-off" type="button"><?php _e( 'Hide', 'wp_tee_contest' ); ?></button>
                                    </div>
                                    <input type="hidden" class="ipbe-onoff-value" name="footer_bg_color_activate" value="<?php echo $val; ?>" />
                                </div>
                                
                                <input type="text" class="iptee-color-picker" id="input-footer-bg-color" name="footer_bg_color" value="<?php echo $setting->getSetting( 'footer_bg_color', '#444444' ); ?>" />
                                
                                <div class="ipbe-help">
                                    <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
                                    <div class="ipbe-help-content ipbe-hide">
                                        <?php _e( 'Specifies the background color of the footer section.', 'wp_tee_contest' ); ?>
                                    </div>
                                </div>
                            </div>
                        </div>
                        
                        <?php
                        //Border
                        ?>
                        <div class="ipbe-field-row ipbe-field-x">
                            <div class="ipbe-form-label col-lg-3 col-md-4 col-sm-12">
                                <label for="input-footer-border-status"><?php _e( 'Border', 'wp_tee_contest' ); ?></label>
                            </div>
                            <div class="ipbe-field col-lg-9 col-md-8 col-sm-12">
                                
                                <div class="ipbe-btn-onoff mr10">
                                    <?php
                                    $val = $setting->getSetting( 'footer_border_status', 'false' );
                                    if ( $val == 'false' ) {
                                        $clon  = '';
                                        $cloff = ' ipbe-btn-danger active';
                                    } else {
                                        $clon  = ' ipbe-btn-success active';
                                        $cloff = '';
                                    }
                                    ?>
                                    <div class="ipbe-btn-group">
                                        <button data-value="true" class="ipbe-btn<?php echo $clon; ?> ipbe-btn-on" type="button"><?php _e( 'Show', 'wp_tee_contest' ); ?></button>
                                        <button data-value="false" class="ipbe-btn<?php echo $cloff; ?> ipbe-btn-off" type="button"><?php _e( 'Hide', 'wp_tee_contest' ); ?></button>
                                    </div>
                                    <input type="hidden" class="ipbe-onoff-value" name="footer_border_status" value="<?php echo $val; ?>" />
                                </div>
                                
                                <?php
                                $width = absint( $setting->getSetting( 'footer_border_width', 1 ));
                                ?>
                                <div class="ipbe-input-group mr5">
                                    <input type="text" id="input-footer-border-width" class="ipbe-input ipbe-input-xs" name="footer_border_width" value="<?php echo $width; ?>" placeholder="<?php _e( 'Width', 'wp_tee_contest' ); ?>">
                                    <div class="ipbe-input-addon">px</div>
                                </div>
                                
                                <select name="footer_border_style" id="input-footer-border-style mr5">
                                    <?php
                                    $current = $setting->getSetting( 'footer_border_style', 'solid' );
                                    $styles  = array(
                                        'solid'   => __( 'Solid', 'wp_tee_contest' ),
                                        'dashed'  => __( 'Dashed', 'wp_tee_contest' ),
                                        'dotted'  => __( 'Dotted', 'wp_tee_contest' )
                                    );
                                    foreach( $styles as $key => $label ) {
                                        $sltd = '';
                                        if ( $key == $current ) {
                                            $sltd = ' selected="selected"';
                                        }
                                        echo '<option value="' . $key . '"' . $sltd .'>'. $label .'</option>';
                                    }
                                    ?>
                                </select>
                                
                                <input type="text" class="iptee-color-picker" id="input-footer-border-color" name="footer_border_color" value="<?php echo $setting->getSetting( 'footer_border_color', '#dddddd' ); ?>" />
                                
                                <div class="ipbe-help">
                                    <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
                                    <div class="ipbe-help-content ipbe-hide">
                                        <?php _e( 'Specifies the border of the footer section', 'wp_tee_contest' ); ?>
                                    </div>
                                </div>
                            </div>
                        </div>
                        
                        <?php
                        //Border Radius
                        ?>
                        <div class="ipbe-field-row ipbe-field-x">
                            <div class="ipbe-form-label col-lg-3 col-md-4 col-sm-12">
                                <label for="input-footer-radius"><?php _e( 'Border Radius', 'wp_tee_contest' ); ?></label>
                            </div>
                            <div class="ipbe-field col-lg-9 col-md-8 col-sm-12">
                            
                                <select name="footer_radius" id="input-footer-radius">
                                    <?php
                                    $current = $setting->getSetting( 'footer_radius', 'none' );
                                    $styles  = array(
                                        'none' => __( 'None', 'wp_tee_contest' ),
                                        'sm'   => __( 'Small', 'wp_tee_contest' ),
                                        'md'   => __( 'Medium', 'wp_tee_contest' ),
                                        'lg'   => __( 'Large', 'wp_tee_contest' )
                                    );
                                    foreach( $styles as $key => $label ) {
                                        $sltd = '';
                                        if ( $key == $current ) {
                                            $sltd = ' selected="selected"';
                                        }
                                        echo '<option value="' . $key . '"' . $sltd .'>'. $label .'</option>';
                                    }
                                    ?>
                                </select>
                                
                                <div class="ipbe-help">
                                    <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
                                    <div class="ipbe-help-content ipbe-hide">
                                        <?php _e( 'Specifies the border radius of the footer section', 'wp_tee_contest' ); ?>
                                    </div>
                                </div>
                            </div>
                        </div>
                        
                        <?php
                        //Font Family
                        ?>
                        <div class="ipbe-field-row ipbe-field-x">
                            <div class="ipbe-form-label col-lg-3 col-md-4 col-sm-12">
                                <label for="input-footer-font-family"><?php _e( 'Font Family', 'wp_tee_contest' ); ?></label>
                            </div>
                            <div class="ipbe-field col-lg-9 col-md-8 col-sm-12">
                            
                                <?php
                                $current = $setting->getSetting( 'footer_font_family', 'roboto' );
                                $fonts   = IPTee_Font::getOptions();
                                $fname   = IPTee_Font::getFontName( $current );
                                ?>
                                <span class="ipbe-font-family">
                                    <div class="ipbe-menu ipbe-fancy-option">
                                        <div class="ipbe-selected">
                                            <div class="ipbe-selected-box">
                                                <span data-select="<?php echo $current; ?>"><?php echo $fname; ?></span>
                                            </div>
                                            <span class="toggle"></span>
                                        </div>
                                        <div class="ipbe-select" style="display: none;">
                                            <div class="ipbe-select-content">
                                                <ul class="clearfix">
                                                    <?php 
                                                    foreach( $fonts as $key => $label ) :
                                                    ?>
                                                        <li data-select="<?php echo $key; ?>">
                                                            <strong class="ipbe-select-label">
                                                                <?php echo $label; ?>
                                                            </strong>
                                                        </li>
                                                    <?php
                                                    endforeach;
                                                    ?>
                                                </ul>
                                            </div>
                                        </div>
                                        <input type="hidden" name="footer_font_family" class="ipbe-input-select" value="<?php echo $current; ?>" />
                                    </div>
                                </span>
                                
                                <div class="ipbe-help">
                                    <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
                                    <div class="ipbe-help-content ipbe-hide">
                                        <?php _e( 'Specifies the font type of the footer section.', 'wp_tee_contest' ); ?>
                                    </div>
                                </div>
                            </div>
                        </div>
                        
                        <?php
                        //Content Style
                        ?>
                        <h3 class="ipbe-field-title">
                            <?php _e( 'Content Style', 'wp_tee_contest' ); ?>
                        </h3>
                        
                        <?php
                        //Text Color
                        ?>
                        <div class="ipbe-field-row ipbe-field-x">
                            <div class="ipbe-form-label col-lg-3 col-md-4 col-sm-12">
                                <label for="input-content-text-color"><?php _e( 'Text Color', 'wp_tee_contest' ); ?></label>
                            </div>
                            <div class="ipbe-field col-lg-9 col-md-8 col-sm-12">
                            
                                <input type="text" class="iptee-color-picker" id="input-content-text-color" name="content_text_color" value="<?php echo $setting->getSetting( 'content_text_color', '#eeeeee' ); ?>" />
                                
                                <div class="ipbe-help">
                                    <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
                                    <div class="ipbe-help-content ipbe-hide">
                                        <?php _e( 'Specifies the text color of the main content section.', 'wp_tee_contest' ); ?>
                                    </div>
                                </div>
                            </div>
                        </div>
                        
                        <?php
                        //Background Color
                        ?>
                        <div class="ipbe-field-row ipbe-field-x">
                            <div class="ipbe-form-label col-lg-3 col-md-4 col-sm-12">
                                <label for="input-content-bg-color"><?php _e( 'Background Color', 'wp_tee_contest' ); ?></label>
                            </div>
                            <div class="ipbe-field col-lg-9 col-md-8 col-sm-12">
                            
                                <input type="text" class="iptee-color-picker" id="input-content-bg-color" name="content_bg_color" value="<?php echo $setting->getSetting( 'content_bg_color', '#444444' ); ?>" />
                                
                                <div class="ipbe-help">
                                    <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
                                    <div class="ipbe-help-content ipbe-hide">
                                        <?php _e( 'Specifies the background color of the main content section.', 'wp_tee_contest' ); ?>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <?php
                        //Border
                        ?>
                        <div class="ipbe-field-row ipbe-field-x">
                            <div class="ipbe-form-label col-lg-3 col-md-4 col-sm-12">
                                <label for="input-content-border-status"><?php _e( 'Border', 'wp_tee_contest' ); ?></label>
                            </div>
                            <div class="ipbe-field col-lg-9 col-md-8 col-sm-12">
                                
                                <div class="ipbe-btn-onoff mr10">
                                    <?php
                                    $val = $setting->getSetting( 'content_border_status', 'false' );
                                    if ( $val == 'false' ) {
                                        $clon  = '';
                                        $cloff = ' ipbe-btn-danger active';
                                    } else {
                                        $clon  = ' ipbe-btn-success active';
                                        $cloff = '';
                                    }
                                    ?>
                                    <div class="ipbe-btn-group">
                                        <button data-value="true" class="ipbe-btn<?php echo $clon; ?> ipbe-btn-on" type="button"><?php _e( 'Show', 'wp_tee_contest' ); ?></button>
                                        <button data-value="false" class="ipbe-btn<?php echo $cloff; ?> ipbe-btn-off" type="button"><?php _e( 'Hide', 'wp_tee_contest' ); ?></button>
                                    </div>
                                    <input type="hidden" class="ipbe-onoff-value" name="content_border_status" value="<?php echo $val; ?>" />
                                </div>
                                
                                <?php
                                $width = absint( $setting->getSetting( 'content_border_width', 1 ));
                                ?>
                                <div class="ipbe-input-group mr5">
                                    <input type="text" id="input-content-border-width" class="ipbe-input ipbe-input-xs" name="content_border_width" value="<?php echo $width; ?>" placeholder="<?php _e( 'Width', 'wp_tee_contest' ); ?>">
                                    <div class="ipbe-input-addon">px</div>
                                </div>
                                
                                <select name="content_border_style" id="input-content-border-style mr5">
                                    <?php
                                    $current = $setting->getSetting( 'content_border_style', 'solid' );
                                    $styles  = array(
                                        'solid'   => __( 'Solid', 'wp_tee_contest' ),
                                        'dashed'  => __( 'Dashed', 'wp_tee_contest' ),
                                        'dotted'  => __( 'Dotted', 'wp_tee_contest' )
                                    );
                                    foreach( $styles as $key => $label ) {
                                        $sltd = '';
                                        if ( $key == $current ) {
                                            $sltd = ' selected="selected"';
                                        }
                                        echo '<option value="' . $key . '"' . $sltd .'>'. $label .'</option>';
                                    }
                                    ?>
                                </select>
                                
                                <input type="text" class="iptee-color-picker" id="input-content-border-color" name="content_border_color" value="<?php echo $setting->getSetting( 'content_border_color', '#dddddd' ); ?>" />
                                
                                <div class="ipbe-help">
                                    <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
                                    <div class="ipbe-help-content ipbe-hide">
                                        <?php _e( 'Specifies the border of the main content section.', 'wp_tee_contest' ); ?>
                                    </div>
                                </div>
                            </div>
                        </div>
                        
                        <?php
                        //Border Radius
                        ?>
                        <div class="ipbe-field-row ipbe-field-x">
                            <div class="ipbe-form-label col-lg-3 col-md-4 col-sm-12">
                                <label for="input-content-radius"><?php _e( 'Border Radius', 'wp_tee_contest' ); ?></label>
                            </div>
                            <div class="ipbe-field col-lg-9 col-md-8 col-sm-12">
                            
                                <select name="content_radius" id="input-content-radius">
                                    <?php
                                    $current = $setting->getSetting( 'content_radius', 'none' );
                                    $styles  = array(
                                        'none' => __( 'None', 'wp_tee_contest' ),
                                        'sm'   => __( 'Small', 'wp_tee_contest' ),
                                        'md'   => __( 'Medium', 'wp_tee_contest' ),
                                        'lg'   => __( 'Large', 'wp_tee_contest' )
                                    );
                                    foreach( $styles as $key => $label ) {
                                        $sltd = '';
                                        if ( $key == $current ) {
                                            $sltd = ' selected="selected"';
                                        }
                                        echo '<option value="' . $key . '"' . $sltd .'>'. $label .'</option>';
                                    }
                                    ?>
                                </select>
                                
                                <div class="ipbe-help">
                                    <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
                                    <div class="ipbe-help-content ipbe-hide">
                                        <?php _e( 'Specifies the border radius of the main content section.', 'wp_tee_contest' ); ?>
                                    </div>
                                </div>
                            </div>
                        </div>
                        
                        <?php
                        //Font Family
                        ?>
                        <div class="ipbe-field-row ipbe-field-x">
                            <div class="ipbe-form-label col-lg-3 col-md-4 col-sm-12">
                                <label for="input-content-font-family"><?php _e( 'Font Family', 'wp_tee_contest' ); ?></label>
                            </div>
                            <div class="ipbe-field col-lg-9 col-md-8 col-sm-12">
                            
                                <?php
                                $current = $setting->getSetting( 'content_font_family', 'roboto' );
                                $fonts   = IPTee_Font::getOptions();
                                $fname   = IPTee_Font::getFontName( $current );
                                ?>
                                <span class="ipbe-font-family">
                                    <div class="ipbe-menu ipbe-fancy-option">
                                        <div class="ipbe-selected">
                                            <div class="ipbe-selected-box">
                                                <span data-select="<?php echo $current; ?>"><?php echo $fname; ?></span>
                                            </div>
                                            <span class="toggle"></span>
                                        </div>
                                        <div class="ipbe-select" style="display: none;">
                                            <div class="ipbe-select-content">
                                                <ul class="clearfix">
                                                    <?php 
                                                    foreach( $fonts as $key => $label ) :
                                                    ?>
                                                        <li data-select="<?php echo $key; ?>">
                                                            <strong class="ipbe-select-label">
                                                                <?php echo $label; ?>
                                                            </strong>
                                                        </li>
                                                    <?php
                                                    endforeach;
                                                    ?>
                                                </ul>
                                            </div>
                                        </div>
                                        <input type="hidden" name="content_font_family" class="ipbe-input-select" value="<?php echo $current; ?>" />
                                    </div>
                                </span>
                                
                                <div class="ipbe-help">
                                    <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
                                    <div class="ipbe-help-content ipbe-hide">
                                        <?php _e( 'Specifies the font type of the main content section.', 'wp_tee_contest' ); ?>
                                    </div>
                                </div>
                            </div>
                        </div>
                        
                        <?php
                        //Background Settings
                        ?>
                        <h3 class="ipbe-field-title">
                            <?php _e( 'Background Settings', 'wp_tee_contest' ); ?>
                        </h3>
                        
                        <?php
                        //Background Image
                        ?>
                        <div class="ipbe-field-row ipbe-field-x ipbe-help-abs">
                            <div class="ipbe-form-label col-lg-3 col-md-4 col-sm-12">
                                <label for="input-background-image"><?php _e( 'Background Image', 'wp_tee_contest' ); ?></label>
                            </div>
                            <div class="ipbe-field col-lg-9 col-md-8 col-sm-12">
            
            <div class="ipbe-upload-image ipbe-clear">
                <div class="ipbe-upload-preview">
                    <?php
                    $setimg = false;
                    if ( $setting ) {
                        if ( $attach_id = $setting->getSetting( 'background_image' ) ) {
                            $setimg = true;
                            $data   = wp_get_attachment_image_src( $attach_id, 'thumbnail' );
                        }
                    }
                    if ( $setimg ) {
                        echo '<div class="image"><img src="' . $data[0] . '" /></div>';
                        echo '<div class="none ipbe-hide">' . __( 'No image', 'wp_tee_contest' ) . '</div>';
                        $reset_dsp = '';
                    } else {
                        echo '<div class="image"></div>';
                        echo '<div class="none">' . __( 'No image', 'wp_tee_contest' ) . '</div>';
                        $reset_dsp = ' style="display:none;"';
                    }
                    ?>
                </div>
                
                <div class="ipbe-image-field">
                    <div class="ipbe-select-image">
                        <p class="mt0"><?php _e( 'Select an image or upload new image using the button below.', 'wp_tee_contest' ); ?></p>
                        <a class="ipbe-btn ipbe-btn-primary ipbe-btn-media ipbe-btn-sm" name="select_image" data-choose="<?php esc_attr_e( 'Choose Background Image' ); ?>"
                          data-update="<?php esc_attr_e( 'Choose background image' ); ?>">
                            <i class="ibe ibe-image"></i>
                            <?php _e( 'Select Image', 'wp_tee_contest' ); ?>
                        </a>
                        <a class="ipbe-btn ipbe-btn-reset ipbe-btn-sm" href="#"<?php echo $reset_dsp; ?>>
                            <i class="ibe ibe-ban"></i>
                            <?php _e( 'Clear Image', 'wp_tee_contest' ); ?>
                        </a>
                    </div>
                    <input type="hidden" name="upload_type" class="ipbe-upload-type" value="background_image" />
                    <input type="hidden" name="background_image" class="ipbe-image-id" value="<?php echo $attach_id; ?>" />
                </div>
            </div>
            
                                <div class="ipbe-help">
                                    <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
                                    <div class="ipbe-help-content ipbe-hide">
                                        <?php _e( 'Specifies the background image of the contest page.', 'wp_tee_contest' ); ?>
                                    </div>
                                </div>
                            </div>
                        </div>
                        
                        <?php
                        //Background Image Transparency
                        ?>
                        <div class="ipbe-field-row ipbe-field-x ipbe-help-abs">
                            <div class="ipbe-form-label col-lg-3 col-md-4 col-sm-12">
                                <label for="input-bgimage-transparency"><?php _e( 'Background Image Transparency', 'wp_tee_contest' ); ?></label>
                            </div>
                            <div class="ipbe-field col-lg-9 col-md-8 col-sm-12">
                                
                                <select name="bgimage_transparency" id="input-bgimage-transparency">
                                    <?php
                                    $current = $setting->getSetting( 'bgimage_transparency', 0 );
                                    $styles  = array(
                                        0   => __( 'None', 'wp_tee_contest' ),
                                        5   => '5%',
                                        10  => '10%',
                                        15  => '15%',
                                        20  => '20%',
                                        30  => '30%',
                                        40  => '40%',
                                        50  => '50%',
                                        75  => '75%'
                                    );
                                    foreach( $styles as $key => $label ) {
                                        $sltd = '';
                                        if ( $key == $current ) {
                                            $sltd = ' selected="selected"';
                                        }
                                        echo '<option value="' . $key . '"' . $sltd .'>'. $label .'</option>';
                                    }
                                    ?>
                                </select>
            
                                <div class="ipbe-help">
                                    <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
                                    <div class="ipbe-help-content ipbe-hide">
                                        <?php _e( 'Specifies the tranperancy of the background imagee.', 'wp_tee_contest' ); ?>
                                    </div>
                                </div>
                            </div>
                        </div>
                        
                        <?php
                        //Background Color
                        ?>
                        <div class="ipbe-field-row ipbe-field-x ipbe-help-abs">
                            <div class="ipbe-form-label col-lg-3 col-md-4 col-sm-12">
                                <label for="input-background-color"><?php _e( 'Background Color', 'wp_tee_contest' ); ?></label>
                            </div>
                            <div class="ipbe-field col-lg-9 col-md-8 col-sm-12">
                                
                                <input type="text" class="iptee-color-picker" id="input-background-color" name="background_color" value="<?php echo $setting->getSetting( 'background_color', '#ffffff' ); ?>" />
            
                                <div class="ipbe-help">
                                    <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
                                    <div class="ipbe-help-content ipbe-hide">
                                        <?php _e( 'Specifies the background color of the contest page.', 'wp_tee_contest' ); ?>
                                    </div>
                                </div>
                            </div>
                        </div>
                        
                        <?php
                        //Countdown Style
                        ?>
                        <h3 class="ipbe-field-title">
                            <?php _e( 'Countdown Style', 'wp_tee_contest' ); ?>
                        </h3>
                        
                        <?php
                        //Text Color
                        ?>
                        <div class="ipbe-field-row ipbe-field-x">
                            <div class="ipbe-form-label col-lg-3 col-md-4 col-sm-12">
                                <label for="input-countdown-text-color"><?php _e( 'Text Color', 'wp_tee_contest' ); ?></label>
                            </div>
                            <div class="ipbe-field col-lg-9 col-md-8 col-sm-12">
                            
                                <input type="text" class="iptee-color-picker" id="input-countdown-text-color" name="countdown_text_color" value="<?php echo $setting->getSetting( 'countdown_text_color', '#444444' ); ?>" />
                                
                                <div class="ipbe-help">
                                    <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
                                    <div class="ipbe-help-countdown ipbe-hide">
                                        <?php _e( 'Specifies the text color of the countdown section.', 'wp_tee_contest' ); ?>
                                    </div>
                                </div>
                            </div>
                        </div>
                        
                        <?php
                        //Background Color
                        ?>
                        <div class="ipbe-field-row ipbe-field-x">
                            <div class="ipbe-form-label col-lg-3 col-md-4 col-sm-12">
                                <label for="input-countdown-bg-color"><?php _e( 'Background Color', 'wp_tee_contest' ); ?></label>
                            </div>
                            <div class="ipbe-field col-lg-9 col-md-8 col-sm-12">
                            
                                <input type="text" class="iptee-color-picker" id="input-countdown-bg-color" name="countdown_bg_color" value="<?php echo $setting->getSetting( 'countdown_bg_color', '#ffffff' ); ?>" />
                                
                                <div class="ipbe-help">
                                    <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
                                    <div class="ipbe-help-content ipbe-hide">
                                        <?php _e( 'Specifies the background color of the countdown section.', 'wp_tee_contest' ); ?>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <?php
                        //Border
                        ?>
                        <div class="ipbe-field-row ipbe-field-x">
                            <div class="ipbe-form-label col-lg-3 col-md-4 col-sm-12">
                                <label for="input-countdown-border-status"><?php _e( 'Border', 'wp_tee_contest' ); ?></label>
                            </div>
                            <div class="ipbe-field col-lg-9 col-md-8 col-sm-12">
                                
                                <div class="ipbe-btn-onoff mr10">
                                    <?php
                                    $val = $setting->getSetting( 'countdown_border_status', 'false' );
                                    if ( $val == 'false' ) {
                                        $clon  = '';
                                        $cloff = ' ipbe-btn-danger active';
                                    } else {
                                        $clon  = ' ipbe-btn-success active';
                                        $cloff = '';
                                    }
                                    ?>
                                    <div class="ipbe-btn-group">
                                        <button data-value="true" class="ipbe-btn<?php echo $clon; ?> ipbe-btn-on" type="button"><?php _e( 'Show', 'wp_tee_contest' ); ?></button>
                                        <button data-value="false" class="ipbe-btn<?php echo $cloff; ?> ipbe-btn-off" type="button"><?php _e( 'Hide', 'wp_tee_contest' ); ?></button>
                                    </div>
                                    <input type="hidden" class="ipbe-onoff-value" name="countdown_border_status" value="<?php echo $val; ?>" />
                                </div>
                                
                                <?php
                                $width = absint( $setting->getSetting( 'countdown_border_width', 1 ));
                                ?>
                                <div class="ipbe-input-group mr5">
                                    <input type="text" id="input-countdown-border-width" class="ipbe-input ipbe-input-xs" name="countdown_border_width" value="<?php echo $width; ?>" placeholder="<?php _e( 'Width', 'wp_tee_contest' ); ?>">
                                    <div class="ipbe-input-addon">px</div>
                                </div>
                                
                                <select name="countdown_border_style" id="input-countdown-border-style mr5">
                                    <?php
                                    $current = $setting->getSetting( 'countdown_border_style', 'solid' );
                                    $styles  = array(
                                        'solid'   => __( 'Solid', 'wp_tee_contest' ),
                                        'dashed'  => __( 'Dashed', 'wp_tee_contest' ),
                                        'dotted'  => __( 'Dotted', 'wp_tee_contest' )
                                    );
                                    foreach( $styles as $key => $label ) {
                                        $sltd = '';
                                        if ( $key == $current ) {
                                            $sltd = ' selected="selected"';
                                        }
                                        echo '<option value="' . $key . '"' . $sltd .'>'. $label .'</option>';
                                    }
                                    ?>
                                </select>
                                
                                <input type="text" class="iptee-color-picker" id="input-countdown-border-color" name="countdown_border_color" value="<?php echo $setting->getSetting( 'countdown_border_color', '#dddddd' ); ?>" />
                                
                                <div class="ipbe-help">
                                    <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
                                    <div class="ipbe-help-content ipbe-hide">
                                        <?php _e( 'Specifies the border of the countdown section.', 'wp_tee_contest' ); ?>
                                    </div>
                                </div>
                            </div>
                        </div>
                        
                        <?php
                        //Border Radius
                        ?>
                        <div class="ipbe-field-row ipbe-field-x">
                            <div class="ipbe-form-label col-lg-3 col-md-4 col-sm-12">
                                <label for="input-countdown-radius"><?php _e( 'Border Radius', 'wp_tee_contest' ); ?></label>
                            </div>
                            <div class="ipbe-field col-lg-9 col-md-8 col-sm-12">
                            
                                <select name="countdown_radius" id="input-countdown-radius">
                                    <?php
                                    $current = $setting->getSetting( 'countdown_radius', 'none' );
                                    $styles  = array(
                                        'none' => __( 'None', 'wp_tee_contest' ),
                                        'sm'   => __( 'Small', 'wp_tee_contest' ),
                                        'md'   => __( 'Medium', 'wp_tee_contest' ),
                                        'lg'   => __( 'Large', 'wp_tee_contest' )
                                    );
                                    foreach( $styles as $key => $label ) {
                                        $sltd = '';
                                        if ( $key == $current ) {
                                            $sltd = ' selected="selected"';
                                        }
                                        echo '<option value="' . $key . '"' . $sltd .'>'. $label .'</option>';
                                    }
                                    ?>
                                </select>
                                
                                <div class="ipbe-help">
                                    <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
                                    <div class="ipbe-help-content ipbe-hide">
                                        <?php _e( 'Specifies the border radius of the countdown section.', 'wp_tee_contest' ); ?>
                                    </div>
                                </div>
                            </div>
                        </div>
                        
                        <?php
                        //Font Family
                        ?>
                        <div class="ipbe-field-row ipbe-field-x">
                            <div class="ipbe-form-label col-lg-3 col-md-4 col-sm-12">
                                <label for="input-countdown-font-family"><?php _e( 'Font Family', 'wp_tee_contest' ); ?></label>
                            </div>
                            <div class="ipbe-field col-lg-9 col-md-8 col-sm-12">
                            
                                <?php
                                $current = $setting->getSetting( 'countdown_font_family', 'roboto' );
                                $fonts   = IPTee_Font::getOptions();
                                $fname   = IPTee_Font::getFontName( $current );
                                ?>
                                <span class="ipbe-font-family">
                                    <div class="ipbe-menu ipbe-fancy-option">
                                        <div class="ipbe-selected">
                                            <div class="ipbe-selected-box">
                                                <span data-select="<?php echo $current; ?>"><?php echo $fname; ?></span>
                                            </div>
                                            <span class="toggle"></span>
                                        </div>
                                        <div class="ipbe-select" style="display: none;">
                                            <div class="ipbe-select-content">
                                                <ul class="clearfix">
                                                    <?php 
                                                    foreach( $fonts as $key => $label ) :
                                                    ?>
                                                        <li data-select="<?php echo $key; ?>">
                                                            <strong class="ipbe-select-label">
                                                                <?php echo $label; ?>
                                                            </strong>
                                                        </li>
                                                    <?php
                                                    endforeach;
                                                    ?>
                                                </ul>
                                            </div>
                                        </div>
                                        <input type="hidden" name="countdown_font_family" class="ipbe-input-select" value="<?php echo $current; ?>" />
                                    </div>
                                </span>
                                
                                <div class="ipbe-help">
                                    <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
                                    <div class="ipbe-help-content ipbe-hide">
                                        <?php _e( 'Specifies the font type of the countdown section.', 'wp_tee_contest' ); ?>
                                    </div>
                                </div>
                            </div>
                        </div>
                        
                    </div>
                    
                </div>
            </div>
        <?php
        }
        
        /**
         * Tab email
         *
         * @return void
         */
        protected function _tab_email( $contest, $setting )
        {
        ?>
            <div id="iptee-section-email" class="ipbe-tab-content">
                <div class="ipbe-tab-inner">
                    
                    <div class="ipbe-title-content ipbe-hide">
                        <i class="ibe ibe-envelope"></i>
                        <div class="ipbe-title-text">
                            <h3><?php _e( 'Email Auto Responder Settings', 'wp_tee_contest' ); ?></h3>
                            <p><?php _e( 'Setting for email auto responder that showing in contest page', 'wp_tee_contest' ); ?></p>
                        </div>
                    </div>
                    
                    <div class="ipbe-fields">
                    
                        <?php
                        //Auto Responder Code
                        ?>
                        <div class="ipbe-field-row ipbe-field-x ipbe-help-abs">
                            <div class="ipbe-form-label col-lg-3 col-md-4 col-sm-12">
                                <label for="input-autoresponder-code"><?php _e( 'Auto Responder Code', 'wp_tee_contest' ); ?></label>
                            </div>
                            <div class="ipbe-field col-lg-9 col-md-8 col-sm-12">
                                
                                <?php
                                $code = $setting->getSetting( 'autoresponder_code', '' );
                                ?>
                                <textarea class="ipbe-input ipbe-input-full iptee-input-optin" id="input-autoresponder-code" name="autoresponder_code" rows="7"><?php echo $code; ?></textarea>
                                
                                <div class="ipbe-help">
                                    <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
                                    <div class="ipbe-help-content ipbe-hide">
                                        <?php _e( 'Specifies the code that makes the form of auto-responder.', 'wp_tee_contest' ); ?>
                                    </div>
                                </div>
                            </div>
                        </div>
                        
                        <?php
                        $hdisplay = ' style="display:none;"';
                        if ( ! empty( $code ) ) {
                            $hdisplay = '';
                        }
                        $data = IPTee_Form::parse( $code );
                        ?>
                        <div id="iptee-autoresponder-settings" class="iptee-optin-settings"<?php echo $hdisplay; ?>>
                    
                            <?php
                            //Auto Responder Action URL
                            ?>
                            <div class="ipbe-field-row ipbe-field-x ipbe-help-abs">
                                <div class="ipbe-form-label col-lg-3 col-md-4 col-sm-12">
                                    <label for="input-autoresponder-action"><?php _e( 'Action URL', 'wp_tee_contest' ); ?></label>
                                </div>
                                <div class="ipbe-field col-lg-9 col-md-8 col-sm-12">
                                    
                                    <?php
                                    $action = $setting->getSetting( 'autoresponder_action', $data['action'] );
                                    ?>
                                    <input type="text" id="input-autoresponder-action" class="ipbe-input ipbe-input-full" name="autoresponder_action" value="<?php echo $action; ?>">
                                    
                                    <div class="ipbe-help">
                                        <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
                                        <div class="ipbe-help-content ipbe-hide">
                                            <?php _e( 'Specifies the script URL that handles the form of auto-responder.', 'wp_tee_contest' ); ?>
                                        </div>
                                    </div>
                                </div>
                            </div>
                    
                            <?php
                            //Form Email Field
                            ?>
                            <div class="ipbe-field-row ipbe-field-x ipbe-help-abs">
                                <div class="ipbe-form-label col-lg-3 col-md-4 col-sm-12">
                                    <label for="input-autoresponder-email"><?php _e( 'Form Email Field', 'wp_tee_contest' ); ?></label>
                                </div>
                                <div class="ipbe-field col-lg-9 col-md-8 col-sm-12">

                                    <select name="autoresponder_email" id="input-autoresponder-email">
                                        <option value="0">-- <?php _e( 'Select field', 'wp_tee_contest' ); ?> --</option>
                                        <?php
                                        $value = stripslashes( $setting->getSetting( 'autoresponder_email', '' ) );
                                        if ( ! empty( $data['fields'] )) {
                                            foreach( $data['fields'] as $field ) {
                                                $sltd = '';
                                                if ( $field == $value ) {
                                                    $sltd = ' selected="selected"';
                                                }
                                                echo '<option value="' . $field . '"' . $sltd . '>' . $field . '</option>';
                                            }
                                        }
                                        ?>
                                    </select>
                                    <?php
                                    $label = stripslashes( $setting->getSetting( 'autoresponder_email_label', '' ) );
                                    ?>
                                    <input class="ipbe-input ipbe-input-full mt10" type="text" id="input-autoresponder-email-label" value="<?php echo $label; ?>" name="autoresponder_email_label" placeholder="<?php _e( 'Input email label', 'wp_tee_contest' ); ?>">
                                    
                                    <div class="ipbe-help">
                                        <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
                                        <div class="ipbe-help-content ipbe-hide">
                                            <?php _e( 'Set the input of the email. You must choose one of the input names that will serve as email input and you must set the label of input.', 'wp_tee_contest' ); ?>
                                        </div>
                                    </div>
                                </div>
                            </div>
                    
                            <?php
                            //Form Name Field
                            ?>
                            <div class="ipbe-field-row ipbe-field-x ipbe-help-abs">
                                <div class="ipbe-form-label col-lg-3 col-md-4 col-sm-12">
                                    <label for="input-autoresponder-name"><?php _e( 'Form Name Field', 'wp_tee_contest' ); ?></label>
                                </div>
                                <div class="ipbe-field col-lg-9 col-md-8 col-sm-12">

                                    <div class="ipbe-btn-onoff mr10">
                                        <?php
                                        $val = $setting->getSetting( 'autoresponder_name_activate', 'true' );
                                        if ( $val == 'false' ) {
                                            $clon  = '';
                                            $cloff = ' ipbe-btn-danger active';
                                        } else {
                                            $clon  = ' ipbe-btn-success active';
                                            $cloff = '';
                                        }
                                        ?>
                                        <div class="ipbe-btn-group">
                                            <button data-value="true" class="ipbe-btn<?php echo $clon; ?> ipbe-btn-on" type="button"><?php _e( 'On', 'wp_tee_contest' ); ?></button>
                                            <button data-value="false" class="ipbe-btn<?php echo $cloff; ?> ipbe-btn-off" type="button"><?php _e( 'Off', 'wp_tee_contest' ); ?></button>
                                        </div>
                                        <input type="hidden" class="ipbe-onoff-value" name="autoresponder_name_activate" value="<?php echo $val; ?>" />
                                    </div>
                                    
                                    <select name="autoresponder_name" id="input-autoresponder-name">
                                        <option value="0">-- <?php _e( 'Select field', 'wp_tee_contest' ); ?> --</option>
                                        <?php
                                        $value = stripslashes( $setting->getSetting( 'autoresponder_name', '' ) );
                                        if ( ! empty( $data['fields'] )) {
                                            foreach( $data['fields'] as $field ) {
                                                $sltd = '';
                                                if ( $field == $value ) {
                                                    $sltd = ' selected="selected"';
                                                }
                                                echo '<option value="' . $field . '"' . $sltd . '>' . $field . '</option>';
                                            }
                                        }
                                        ?>
                                    </select>
                                    <?php
                                    $label = stripslashes( $setting->getSetting( 'autoresponder_name_label', '' ) );
                                    ?>
                                    <input class="ipbe-input ipbe-input-full mt10" type="text" id="input-autoresponder-name-label" value="<?php echo $label; ?>" name="autoresponder_name_label" placeholder="<?php _e( 'Input name label', 'wp_tee_contest' ); ?>">
                                    
                                    <div class="ipbe-help">
                                        <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
                                        <div class="ipbe-help-content ipbe-hide">
                                            <?php _e( 'Set the input of the name data. You must choose one of the input names that will serve as name input and you must set the label of input.', 'wp_tee_contest' ); ?>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    
                        <?php
                        //Show/Hide Form Label
                        ?>
                        <div class="ipbe-field-row ipbe-field-x">
                            <div class="ipbe-form-label col-lg-3 col-md-4 col-sm-12">
                                <label for="input-autoresponder-form-label"><?php _e( 'Show/Hide Form Label', 'wp_tee_contest' ); ?></label>
                            </div>
                            <div class="ipbe-field col-lg-9 col-md-8 col-sm-12">
                                
                                <div class="ipbe-btn-onoff">
                                    <?php
                                    $val = $setting->getSetting( 'autoresponder_form_label', 'true' );
                                    if ( $val == 'false' ) {
                                        $clon  = '';
                                        $cloff = ' ipbe-btn-danger active';
                                    } else {
                                        $clon  = ' ipbe-btn-success active';
                                        $cloff = '';
                                    }
                                    ?>
                                    <div class="ipbe-btn-group">
                                        <button data-value="true" class="ipbe-btn<?php echo $clon; ?> ipbe-btn-on" type="button"><?php _e( 'Show', 'wp_tee_contest' ); ?></button>
                                        <button data-value="false" class="ipbe-btn<?php echo $cloff; ?> ipbe-btn-off" type="button"><?php _e( 'Hide', 'wp_tee_contest' ); ?></button>
                                    </div>
                                    <input type="hidden" class="ipbe-onoff-value" name="autoresponder_form_label" value="<?php echo $val; ?>" />
                                </div>
                                
                                <div class="ipbe-help">
                                    <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
                                    <div class="ipbe-help-content ipbe-hide">
                                        <?php _e( 'Specifies whether the display label form. If set to off, the label form is displayed as a placeholder in the input.', 'wp_tee_contest' ); ?>
                                    </div>
                                </div>
                            </div>
                        </div>
                    
                        <?php
                        //Button Text
                        ?>
                        <div class="ipbe-field-row ipbe-field-x ipbe-help-abs">
                            <div class="ipbe-form-label col-lg-3 col-md-4 col-sm-12">
                                <label for="input-autoresponder-button-text"><?php _e( 'Submit Button Text', 'wp_tee_contest' ); ?></label>
                            </div>
                            <div class="ipbe-field col-lg-9 col-md-8 col-sm-12">
                                
                                <?php
                                $text = $setting->getSetting( 'autoresponder_button_text', '' );
                                ?>
                                <input class="ipbe-input ipbe-input-full" type="text" id="input-autoresponder-button-text" value="<?php echo $text; ?>" name="autoresponder_button_text">
                                
                                <div class="ipbe-help">
                                    <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
                                    <div class="ipbe-help-content ipbe-hide">
                                        <?php _e( 'Specifies the text of the submit button.', 'wp_tee_contest' ); ?>
                                    </div>
                                </div>
                            </div>
                        </div>
                    
                        <?php
                        //Button Style
                        ?>
                        <div class="ipbe-field-row ipbe-field-x ipbe-help-abs">
                            <div class="ipbe-form-label col-lg-3 col-md-4 col-sm-12">
                                <label for="input-autoresponder-button-style"><?php _e( 'Submit Button Style', 'wp_tee_contest' ); ?></label>
                            </div>
                            <div class="ipbe-field col-lg-9 col-md-8 col-sm-12">
                                
                                <select name="autoresponder_button_style" id="input-autoresponder-button-style">
                                    <?php
                                    $current = $setting->getSetting( 'autoresponder_button_style', 'grey' );
                                    $styles  = array(
                                        'grey'    => __( 'Grey', 'wp_tee_contest' ),
                                        'black'   => __( 'Black', 'wp_tee_contest' ),
                                        'blue'    => __( 'Blue', 'wp_tee_contest' ),
                                        'green'   => __( 'Green', 'wp_tee_contest' ),
                                        'orange'  => __( 'Orange', 'wp_tee_contest' ),
                                        'red'     => __( 'Red', 'wp_tee_contest' )
                                    );
                                    foreach( $styles as $key => $label ) {
                                        $sltd = '';
                                        if ( $key == $current ) {
                                            $sltd = ' selected="selected"';
                                        }
                                        echo '<option value="' . $key . '"' . $sltd .'>'. $label .'</option>';
                                    }
                                    ?>
                                </select>
                                
                                <div class="ipbe-help">
                                    <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
                                    <div class="ipbe-help-content ipbe-hide">
                                        <?php _e( 'Specifies the style of the submit button.', 'wp_tee_contest' ); ?>
                                    </div>
                                </div>
                            </div>
                        </div>
                        
                    </div>
                    
                </div>
            </div>
        <?php
        }
        
        /**
         * Tab share
         *
         * @return void
         */
        protected function _tab_share( $contest, $setting )
        {
        ?>
            <div id="iptee-section-share" class="ipbe-tab-content">
                <div class="ipbe-tab-inner">
                    
                    <div class="ipbe-title-content ipbe-hide">
                        <i class="ibe ibe-share-alt"></i>
                        <div class="ipbe-title-text">
                            <h3><?php _e( 'Share Settings', 'wp_tee_contest' ); ?></h3>
                            <p><?php _e( 'Setting for share button in contest page', 'wp_tee_contest' ); ?></p>
                        </div>
                    </div>
                    
                    <div class="ipbe-fields ipbe-social-option">
                    
                        <?php
                        //Show share button
                        ?>
                        <div class="ipbe-field-row ipbe-field-x">
                            <div class="ipbe-form-label col-lg-3 col-md-4 col-sm-12">
                                <label for="input-share-status"><?php _e( 'Show/hide Share Button', 'wp_tee_contest' ); ?></label>
                            </div>
                            <div class="ipbe-field col-lg-9 col-md-8 col-sm-12">
                                
                                <div class="ipbe-btn-onoff">
                                    <?php
                                    $val = $setting->getSetting( 'share_status', 'true' );
                                    if ( $val == 'false' ) {
                                        $clon  = '';
                                        $cloff = ' ipbe-btn-danger active';
                                    } else {
                                        $clon  = ' ipbe-btn-success active';
                                        $cloff = '';
                                    }
                                    ?>
                                    <div class="ipbe-btn-group">
                                        <button data-value="true" class="ipbe-btn<?php echo $clon; ?> ipbe-btn-on" type="button"><?php _e( 'Show', 'wp_tee_contest' ); ?></button>
                                        <button data-value="false" class="ipbe-btn<?php echo $cloff; ?> ipbe-btn-off" type="button"><?php _e( 'Hide', 'wp_tee_contest' ); ?></button>
                                    </div>
                                    <input type="hidden" class="ipbe-onoff-value" name="share_status" value="<?php echo $val; ?>" />
                                </div>
                                
                                <div class="ipbe-help">
                                    <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
                                    <div class="ipbe-help-content ipbe-hide">
                                        <?php _e( 'Determines whether to display the share button.', 'wp_tee_contest' ); ?>
                                    </div>
                                </div>
                            </div>
                        </div>
                        
                        <?php
                        //Button Activate
                        ?>
                        <div class="ipbe-field-row ipbe-field-y ipbe-help-abs">
                            <div class="ipbe-form-label mb10">
                                <label for="input-share-code"><?php _e( 'Button Activate', 'wp_tee_contest' ); ?></label>
                            </div>
                            <div class="ipbe-field">
                    
                                <p><?php _e( 'Select one or more share button that you want to display on the contest below.', 'wp_tee_contest' ); ?></p>
                                <div class="ipbe-social-active">
                                    <ul>
                                        <?php
                                        $social = array(
                                            'facebook'      => 'Facebook',
                                            'twitter'       => 'Twitter',
                                            'google-plus'   => 'Google+',
                                            'linkedin'      => 'LinkedIn',
                                            'tumblr'        => 'Tumblr',
                                            'pinterest'     => 'Pinterest',
                                            'stumbleupon'   => 'Stumble Upon',
                                            'digg'          => 'Digg'
                                        );
                                        foreach( $social as $key => $label ) {
                                            $value = $setting->getSetting( 'share_'.$key, 'on' );
                                            $class = 'inactive';
                                            if ( $value == 'on' ) {
                                                $class = "active";
                                            }
                                            $icon = $key;
                                        ?>
                                            <li>
                                                <a class="<?php echo $class; ?>" href="#<?php echo $key; ?>">
                                                    <i class="ibe ibe-<?php echo $icon; ?>"></i>
                                                    <span><?php echo $label; ?></span>
                                                    <input type="hidden" name="share_<?php echo $key; ?>" value="<?php echo $value; ?>" />
                                                </a>
                                            </li>
                                        <?php
                                        }
                                        ?>
                                    </ul>
                                </div>
                                
                                <div class="ipbe-help">
                                    <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
                                    <div class="ipbe-help-content ipbe-hide">
                                        <?php _e( 'Determine the share button which will be displayed.', 'wp_tee_contest' ); ?>
                                    </div>
                                </div>
                                
                            </div>
                        </div>
                        
                        <?php
                        //Button Icon
                        ?>
                        <div class="ipbe-field-row ipbe-field-y ipbe-help-abs">
                            <div class="ipbe-form-label mb10">
                                <label for="input-share-button-icon"><?php _e( 'Button Icon', 'wp_tee_contest' ); ?></label>
                            </div>
                            <div class="ipbe-field">
                            
                                <select name="share_button_icon" id="input-share-button-icon">
                                    <?php
                                    $icon    = $setting->getSetting( 'share_button_icon', 'square_flat' );
                                    $options = array(
                                        'square_flat'   => __( 'Square Flat', 'wp_tee_contest' ),
                                        'square_grad'   => __( 'Square Gradient', 'wp_tee_contest' ),
                                        'round_flat'    => __( 'Round Flat', 'wp_tee_contest' ),
                                        'round_grad'    => __( 'Round Gradient', 'wp_tee_contest' ),
                                    );
                                    foreach( $options as $no => $label ) {
                                        $sltd = '';
                                        if ( $no == $icon ) {
                                            $sltd = ' selected="selected"';
                                        }
                                        echo '<option value="' . $no . '"' . $sltd . '>' . $label . '</option>';
                                    }
                                    ?>
                                </select>
                                <h4 class="mb15"><?php _e( 'Preview','wp_tee_contest' ); ?></h4>
                                <div class="ipbe-icon-preview ipbe-clear">
                                        <?php
                                        $socials = array(
                                            'facebook',
                                            'twitter',
                                            'linkedin',
                                            'pinterest',
                                            'googleplus',
                                            'tumblr',
                                            'stumbleupon',
                                            'digg'
                                        );
                                        foreach( $socials as $name ) {
                                            $src = IPTEE_BASE_URL . 'img/icon/'.$icon.'/'.$name.'.png';
                                            echo '<span class="ipbe-icon"><img src="'.$src.'" alt="'.$name.'"></span>';
                                        }
                                        ?>
                                </div>
                                
                                <div class="ipbe-help">
                                    <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
                                    <div class="ipbe-help-content ipbe-hide">
                                        <?php _e( '', 'wp_tee_contest' ); ?>
                                    </div>
                                </div>
                                
                            </div>
                        </div>
                        
                        <?php
                        //Title
                        ?>
                        <div class="ipbe-field-row ipbe-field-x ipbe-help-abs">
                            <div class="ipbe-form-label col-lg-3 col-md-4 col-sm-12">
                                <label for="input-share-title"><?php _e( 'Title', 'wp_tee_contest' ); ?></label>
                            </div>
                            <div class="ipbe-field col-lg-9 col-md-8 col-sm-12">
                                
                                <input type="text" id="input-share-title" class="ipbe-input ipbe-input-full" name="share_title" value="<?php echo $setting->getSetting( 'share_title' ); ?>">
                                
                                <div class="ipbe-help">
                                    <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
                                    <div class="ipbe-help-content ipbe-hide">
                                        <?php _e( 'Specifies the title of the share section.', 'wp_tee_contest' ); ?>
                                    </div>
                                </div>
                            </div>
                        </div>
                        
                        <?php
                        //Info
                        ?>
                        <div class="ipbe-field-row ipbe-field-x ipbe-help-abs">
                            <div class="ipbe-form-label col-lg-3 col-md-4 col-sm-12">
                                <label for="input-share-info"><?php _e( 'Info', 'wp_tee_contest' ); ?></label>
                            </div>
                            <div class="ipbe-field col-lg-9 col-md-8 col-sm-12">
                                
                                <input type="text" id="input-share-info" class="ipbe-input ipbe-input-full" name="share_info" value="<?php echo $setting->getSetting( 'share_info' ); ?>">
                                
                                <div class="ipbe-help">
                                    <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
                                    <div class="ipbe-help-content ipbe-hide">
                                        <?php _e( 'Specifies the info of the share section.', 'wp_tee_contest' ); ?>
                                    </div>
                                </div>
                            </div>
                        </div>
                        
                        <?php
                        //Button text
                        ?>
                        <div class="ipbe-field-row ipbe-field-x ipbe-help-abs">
                            <div class="ipbe-form-label col-lg-3 col-md-4 col-sm-12">
                                <label for="input-share-button-text"><?php _e( 'Button Text', 'wp_tee_contest' ); ?></label>
                            </div>
                            <div class="ipbe-field col-lg-9 col-md-8 col-sm-12">
                                
                                <input type="text" id="input-share-button-text" class="ipbe-input ipbe-input-full" name="share_button_text" value="<?php echo $setting->getSetting( 'share_button_text' ); ?>">
                                
                                <div class="ipbe-help">
                                    <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
                                    <div class="ipbe-help-content ipbe-hide">
                                        <?php _e( 'Specifies the text of the button to open the share section.', 'wp_tee_contest' ); ?>
                                    </div>
                                </div>
                            </div>
                        </div> 
            
                        <?php
                        //Button Style
                        ?>
                        <div class="ipbe-field-row ipbe-field-x">
                            <div class="ipbe-form-label col-lg-3 col-md-4 col-sm-12">
                                <label for="input-share-button-style"><?php _e( 'Button Style', 'wp_tee_contest' ); ?></label>
                            </div>
                            <div class="ipbe-field col-lg-9 col-md-8 col-sm-12">
                                
                                <select name="share_button_style" id="input-share-button-style">
                                    <?php
                                    $current = $setting->getSetting( 'share_button_style', 'grey' );
                                    $styles  = array(
                                        'grey'    => __( 'Grey', 'wp_tee_contest' ),
                                        'black'   => __( 'Black', 'wp_tee_contest' ),
                                        'blue'    => __( 'Blue', 'wp_tee_contest' ),
                                        'green'   => __( 'Green', 'wp_tee_contest' ),
                                        'orange'  => __( 'Orange', 'wp_tee_contest' ),
                                        'red'     => __( 'Red', 'wp_tee_contest' )
                                    );
                                    foreach( $styles as $key => $label ) {
                                        $sltd = '';
                                        if ( $key == $current ) {
                                            $sltd = ' selected="selected"';
                                        }
                                        echo '<option value="' . $key . '"' . $sltd .'>'. $label .'</option>';
                                    }
                                    ?>
                                </select>
                                
                                <div class="ipbe-help">
                                    <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
                                    <div class="ipbe-help-content ipbe-hide">
                                        <?php _e( 'Specifies the style of the button to open the share section.', 'wp_tee_contest' ); ?>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    
                </div>
            </div>
        <?php
        }
        
        /**
         * Tab countdown
         *
         * @return void
         */
        protected function _tab_countdown( $contest, $setting )
        {
        ?>
            <div id="iptee-section-countdown" class="ipbe-tab-content">
                <div class="ipbe-tab-inner">
                    
                    <div class="ipbe-title-content ipbe-hide">
                        <i class="ibe ibe-clock-o"></i>
                        <div class="ipbe-title-text">
                            <h3><?php _e( 'Countdown Settings', 'wp_tee_contest' ); ?></h3>
                            <p><?php _e( 'Countdown settings for your contest page', 'wp_tee_contest' ); ?></p>
                        </div>
                    </div>
                    
                    <div class="ipbe-fields">
                    
                        <?php
                        //Show/hide countdown
                        ?>
                        <div class="ipbe-field-row ipbe-field-x">
                            <div class="ipbe-form-label col-lg-3 col-md-4 col-sm-12">
                                <label for="input-countdown-code"><?php _e( 'Show/hide Countdown', 'wp_tee_contest' ); ?></label>
                            </div>
                            <div class="ipbe-field col-lg-9 col-md-8 col-sm-12">
                                
                                <div class="ipbe-btn-onoff">
                                    <?php
                                    $val = $setting->getSetting( 'countdown_activate', 'true' );
                                    if ( $val == 'false' ) {
                                        $clon  = '';
                                        $cloff = ' ipbe-btn-danger active';
                                    } else {
                                        $clon  = ' ipbe-btn-success active';
                                        $cloff = '';
                                    }
                                    ?>
                                    <div class="ipbe-btn-group">
                                        <button data-value="true" class="ipbe-btn<?php echo $clon; ?> ipbe-btn-on" type="button"><?php _e( 'Show', 'wp_tee_contest' ); ?></button>
                                        <button data-value="false" class="ipbe-btn<?php echo $cloff; ?> ipbe-btn-off" type="button"><?php _e( 'Hide', 'wp_tee_contest' ); ?></button>
                                    </div>
                                    <input type="hidden" class="ipbe-onoff-value" name="countdown_activate" value="<?php echo $val; ?>" />
                                </div>
                                
                                <div class="ipbe-help">
                                    <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
                                    <div class="ipbe-help-content ipbe-hide">
                                        <?php _e( 'Determines whether to display the countdown.', 'wp_tee_contest' ); ?>
                                    </div>
                                </div>
                            </div>
                        </div>
                    
                        <?php
                        //Expiry date
                        ?>
                        <div class="ipbe-field-row ipbe-field-x">
                            <div class="ipbe-form-label col-lg-3 col-md-4 col-sm-12">
                                <label for="input-countdown-expiry"><?php _e( 'Expiry Date', 'wp_tee_contest' ); ?></label>
                            </div>
                            <div class="ipbe-field col-lg-9 col-md-8 col-sm-12">
                            
                                <?php
                                $date = $setting->getSetting( 'expiry_date', current_time( 'Y/m/d' ) );
                                $time = $setting->getSetting( 'expiry_time', current_time( 'H:i' ) );
                                ?>
                                <div class="ipbe-input-group mr5">
                                    <input type="text" value="<?php echo $date; ?>" name="expiry_date" class="ipbe-input ipbe-input-sm iptee-date-picker" id="input-expiry-date" readonly>
                                    <div class="ipbe-input-addon"><i class="ibe ibe-calendar"></i></div>
                                </div>
                                @
                                <div class="ipbe-input-group">
                                    <input type="text" value="<?php echo $time; ?>" name="expiry_time" class="ipbe-input ipbe-input-xs iptee-time-picker" id="input-expiry-time" readonly>
                                    <div class="ipbe-input-addon"><i class="ibe ibe-clock-o"></i></div>
                                </div>
                                
                                <div class="ipbe-help">
                                    <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
                                    <div class="ipbe-help-content ipbe-hide">
                                        <?php _e( 'Determine the expiration date of the countdown.', 'wp_tee_contest' ); ?>
                                    </div>
                                </div>
                            </div>
                        </div>
                        
                        <?php
                        //Expiry Redirect URL
                        ?>
                        <div class="ipbe-field-row ipbe-field-x ipbe-help-abs">
                            <div class="ipbe-form-label col-lg-3 col-md-4 col-sm-12">
                                <label for="input-countdown-expiry-url"><?php _e( 'Expiry Redirect URL', 'wp_tee_contest' ); ?></label>
                            </div>
                            <div class="ipbe-field col-lg-9 col-md-8 col-sm-12">
                                
                                <input type="text" id="input-countdown-expiry-url" class="ipbe-input ipbe-input-full" name="countdown_expiry_url" value="<?php echo $setting->getSetting( 'countdown_expiry_url' ); ?>">
                                
                                <div class="ipbe-help">
                                    <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
                                    <div class="ipbe-help-content ipbe-hide">
                                        <?php _e( 'Specify the url of the page is the goal when the countdown ends', 'wp_tee_contest' ); ?>
                                    </div>
                                </div>
                            </div>
                        </div>
                        
                    </div>
                    
                </div>
            </div>
        <?php
        }
        
        /**
         * Tab statistic
         *
         * @return void
         */
        protected function _tab_statistic( $contest, $setting )
        {
        ?>
            <div id="iptee-section-statistic" class="ipbe-tab-content">
                <div class="ipbe-tab-inner">
                    
                    <div class="ipbe-title-content ipbe-hide">
                        <i class="ibe ibe-line-chart"></i>
                        <div class="ipbe-title-text">
                            <h3><?php _e( 'Statistic', 'wp_tee_contest' ); ?></h3>
                            <p><?php _e( 'Statistics of user interaction to the contest page', 'wp_tee_contest' ); ?></p>
                        </div>
                    </div>
                    
                    
                    <div class="ipbe-fields">


<?php
$model    = new IPTee_Model();
$pid      = $contest->ID;
$views    = $model->get_stat_value( $pid, 'view' );
$contests = $model->get_stat_value( $pid, 'contest' );
$orders   = $model->get_stat_value( $pid, 'order' );
$shares   = $model->get_stat_value( $pid, 'share' );
$convRate = 0;
if( $clicks != '0' && $views != '0') {
    $convRate = 100 * intval($clicks) / intval($views);
    $convRate = round( $convRate, 2 );
}
?>
<div class="ipbe-admin-stat">
    <div class="ipbe-stat-filter ipbe-clear">
        <div class="ipbe-stat-nav">
            <div class="container container-fluid">
                <ul class="row">
                    <li class="col-sm-3 ipbe-nav-view ipbe-nav-blue active">
                        <a href="#stat-view">
                            <i class="ibe ibe-eye"></i>
                            <span class="stat-value">
                                <strong><?php echo number_format( $views ); ?></strong>
                                <em><?php _e( 'Views', 'wp_tee_contest' ); ?></em>
                            </span>
                        </a>
                    </li>
                    <li class="col-sm-3 ipbe-nav-contest ipbe-nav-red">
                        <a href="#stat-contest">
                            <i class="ibe ibe-users"></i>
                            <span class="stat-value">
                                <strong><?php echo number_format( $contests ); ?></strong>
                                <em><?php _e( 'Contestants', 'wp_tee_contest' ); ?></em>
                            </span>
                        </a>
                    </li>
                    <li class="col-sm-3 ipbe-nav-order ipbe-nav-orange">
                        <a href="#stat-order">
                            <i class="ibe ibe-shopping-cart"></i>
                            <span class="stat-value">
                                <strong><?php echo number_format( $orders ); ?></strong>
                                <em><?php _e( 'Orders', 'wp_tee_contest' ); ?></em>
                            </span>
                        </a>
                    </li>
                    <li class="col-sm-3 ipbe-nav-share ipbe-nav-green">
                        <a href="#stat-share">
                            <i class="ibe ibe-share-alt"></i>
                            <span class="stat-value">
                                <strong><?php echo $shares; ?></strong>
                                <em><?php _e( 'Shares', 'wp_tee_contest' ); ?></em>
                            </span>
                        </a>
                    </li>
                </ul>
            </div>
        </div>
        <div class="ipbe-date-filter">
            <form action="" method="post">
                <input type="hidden" id="value-pageid" name="pageid" value="<?php echo $contest->ID; ?>" />
                <input type="hidden" id="value-stat-type" name="stat_type" value="view" />
                <?php
                $dateStart = date('m/d/Y');
                $dateEnd   = date('m/d/Y'); 
                ?>
                <strong><?php _e( 'Filter By Date', 'wp_tee_contest' ); ?>: </strong>
                <span class="ipbe-date-input">
                    <input type="text" id="date-start" name="cdatestart" value="<?php echo $dateStart; ?>" />
                    -
                    <input type="text" id="date-end" name="cdateend" value="<?php echo $dateEnd; ?>" />
                </span>
                <span class="ipbe-do-filter">
                    <input type="submit" id="do-filter-date" class="button button-primary" name="do_filter_date" value="<?php _e( 'Go', 'wp_tee_contest' ); ?>" />
                </span>
            </form>
        </div>
    </div>

    <div class="ipbe-stat-main">
        <h4><?php _e( 'Views Statistic', 'wp_tee_contest' ); ?></h4>
        <div class="ipbe-stat-chart">
        
            <script type="text/javascript" src="https://www.google.com/jsapi"></script>
            <script type="text/javascript">
                google.load("visualization", "1", {packages:["corechart"]});
                google.setOnLoadCallback(drawChart);
                function drawChart() {
                    
                    var dataTable = new google.visualization.DataTable();
                    dataTable.addColumn( 'date', '<?php _e( 'Date', 'wp_tee_contest' ); ?>' );
                    dataTable.addColumn( 'number', '<?php _e( 'Views', 'wp_tee_contest' ); ?>' );
                    
                    var rows = [
                    <?php
                    $stdata = $model->get_statistic_data( $contest->ID, 'view' );
                    if ( $stdata ) {
                        foreach( $stdata as $data ) {
                            $timestamp = strtotime( $data->gdate );
                            $phpdate   = getdate($timestamp);
                            
                            echo '[new Date(' 
                                    . $phpdate['year'] . ', '
                                    . ( $phpdate['mon']  - 1 ) . ', '
                                    . $phpdate['mday'] . ',0,0,0), '
                                    . $data->value
                                . '],';
                        }
                    }
                    ?>
                    ];
                    dataTable.addRows( rows );
                    
                    var options = {
                        series: [{pointSize:6}]
                    };
                    var chart = new google.visualization.LineChart(document.getElementById('iptee-chart-div'));
                    chart.draw(dataTable, options);
                }
            </script>
            
            <div id="iptee-chart-div" class="ipbe-chart-main" style="width: 100%; height: 500px;"></div>
            <div class="ipbe-chart-load" style="display: none;">
                <?php
                $plgurl = plugin_dir_url( dirname(__FILE__) );
                $src    = $plgurl . 'img/loading.gif';
                ?>
                <img src="<?php echo $src; ?>" alt="Loading..." />
            </div>
            
        </div>
    </div>
</div>

                    </div>
                </div>
            </div>
        <?php
        }
        
        /**
         * Tab contestants
         *
         * @return void
         */
        protected function _tab_contestants( $contest, $setting )
        {
        ?>
            <div id="iptee-section-contestant" class="ipbe-tab-content">
                <div class="ipbe-tab-inner">
                    
                    <div class="ipbe-title-content ipbe-hide">
                        <i class="ibe ibe-trophy"></i>
                        <div class="ipbe-title-text">
                            <h3><?php _e( 'Contestants', 'wp_tee_contest' ); ?></h3>
                            <p><?php _e( 'Look for contestants that follow the contest.', 'wp_tee_contest' ); ?></p>
                        </div>
                    </div>
                    
                    
                    <div class="ipbe-fields">
                    
                            <div class="ipbe-users-wrap">
                                <div class="iptee-user-table">
                                    <table>
                                        <thead>
                                            <tr>
                                                <th class="iptee-th-no"><?php _e( 'No', 'wp_share_it_now' ); ?></th>
                                                <th class="iptee-th-date"><?php _e( 'Date', 'wp_share_it_now' ); ?></th>
                                                <th class="iptee-th-name"><?php _e( 'Name', 'wp_share_it_now' ); ?></th>
                                                <th class="iptee-th-email"><?php _e( 'Email', 'wp_share_it_now' ); ?></th>
                                                <th class="iptee-th-action"></th>
                                            </tr>
                                        </thead>
                                        <tbody>
                                            <?php
                                            $model = new IPTee_Model();
                                            if ( $users = $model->get_contestants() ) :
                                                $no = 1;
                                                foreach( $users as $user ) :
                                                ?>
                                            <tr>
                                                <td><?php echo $no; ?></td>
                                                <td><?php echo mysql2date( 'd M Y, h:i', $user->mbr_join_date ); ?></td>
                                                <td><?php echo $user->cnt_name; ?></td>
                                                <td><?php echo $user->cnt_email; ?></td>
                                                <td class="iptee-tb-action">
                                                    <a class="iptee-link-email" href="mailto:<?php echo $user->cnt_email; ?>">
                                                        <i class="faip fa-envelope"></i>
                                                        <?php _e( 'Send message', 'wp_share_it_now' ); ?>
                                                    </a>
                                                </td>
                                            </tr>
                                            <?php
                                                    $no++;
                                                endforeach;
                                            endif;
                                            ?>
                                        </tbody>
                                    </table>
                                </div>
                            </div>
                    
                    </div>
                </div>
            </div>
        
        <?php
        }
        
        /**
         * Show content admin setting
         *
         * @return void
         */
        public function setting()
        {
        ?>
            <div id="iptee-setting" class="wrap ipbe-wrap iptee-admin">
                <div class="ipbe-inner">
                    
                    <?php $this->_header( 'iptee-setting' ); ?>
                    
                    <div class="ipbe-main">
                        <div class="ipbe-main-info"></div>
                        
                        <div class="ipbe-primary">
                            <div class="iptee-setting-wrap">
                            
                                <?php
                                $action = admin_url( 'admin-ajax.php' ) . '?doajax=1&iptee=1&action=iptee_setting';
                                ?>
                                <form id="iptee-form-setting" class="ipbe-form" action="<?php echo $action; ?>" method="post">
                                    
                                    <?php
                                    $path = get_option( '__iptee_base_path', 'contest' );
                                    ?>
                                    <div class="container-fluid container">
                                        <div class="mb40">
                                            <h3 class="font-h4 mb20 line-title-double"><?php _e( 'Permalink', 'wp_tee_contest' ); ?></h3>
                                            <p><?php _e( 'Set the base path permalink for all your contest pages through the following input:', 'wp_tee_contest' ); ?></p>
                                            <div class="fields">
                                                <div class="ipbe-field-row ipbe-field-x">
                                                    <div class="ipbe-form-label col-lg-2 col-md-3 col-sm-4">
                                                        <label for="input-base-path"><?php _e( 'Base Path Permalink', 'wp_tee_contest' ); ?></label>
                                                    </div>
                                                    <div class="ipbe-field col-lg-6 col-md-8 col-sm-8">

                                                        <input type="text" id="input-base-path" class="ipbe-input ipbe-input-full" name="base_path" value="<?php echo $path; ?>">
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                    
                                    <div class="ipbe-form-footer">
                                        <div class="container-fluid container">
                                            <div class="col-xs-6">
                                                <button type="submit" id="" class="ipbe-btn ipbe-btn-primary ipbe-btn-lg ip-form-submit">
                                                    <i class="ibe ibe-floppy-o"></i>
                                                    <?php _e( 'Save Settings', 'wp_tee_contest' ); ?>
                                                </button>
                                            </div>
                                        </div>
                                    </div>
                                </form>
                                
                            </div>
                        </div>
                    </div>
                    
                </div>
                
            </div>
            
        <?php
        }
        
        /**
         * Admin header template
         *
         * @param string $page
         * @return void
         */
        protected function _header( $page, $title = '', $info = '', $icon = '' )
        {
            $struct = array(
                'iptee' => array(
                    'title'     => __( 'Dashboard', 'wp_tee_contest' ),
                    'info'      => __( 'See all contest page and manage it', 'wp_tee_contest' ),
                    'icon'      => 'dashboard'
                ),
                'iptee-add' => array(
                    'title'     => __( 'Add Contest Page', 'wp_tee_contest' ),
                    'info'      => __( 'Add new contest page', 'wp_tee_contest' ),
                    'icon'      => 'plus-circle'
                ),
                'iptee-setting' => array(
                    'title'     => __( 'Settings', 'wp_tee_contest' ),
                    'info'      => __( 'Set general settings for contest page on your website', 'wp_tee_contest' ),
                    'icon'      => 'cog'
                )
            );
        ?>
            <div class="ipbe-top">
                <div class="ipbe-header">
                    <div class="ipbe-page-title">
                        <h1>
                            <i class="ibe ibe-trophy"></i>
                            <span>
                                <strong><span>WP</span> Tee Contest</strong>
                                <em><?php _e( 'WordPress plugin to create contest page', 'wp_tee_contest' ); ?></em>
                            </span>
                        </h1>
                    </div>
                </div>
                <div class="ipbe-nav">
                    <ul>
                    <?php
                    if ( array_key_exists( $page, $struct ))
                    {
                        if ( empty( $title )) {
                            $title = $struct[$page]['title'];
                        }
                        if ( empty( $info )) {
                            $info  = $struct[$page]['info'];
                        }
                        if ( empty( $icon )) {
                            $icon  = $struct[$page]['icon'];
                        }
                    }
                    foreach( $struct as $name => $data ) 
                    {
                        $active = '';
                        if ( $page == $name ) {
                            $active = ' class="active"';
                        }
                        echo '<li' . $active . '>' .
                                '<a href="admin.php?page=' . $name . '">' .
                                    '<i class="ibe ibe-' . $data['icon'] . '"></i>' .
                                    $data['title'] .
                                '</a>' .
                            '</li>';
                    }
                    ?>
                    </ul>
                </div>
                <div class="ipbe-page-info">
                    <i class="ibe ibe-<?php echo $icon; ?>"></i>
                    <div class="ipbe-info">
                        <h2><?php echo $title; ?></h2>
                        <h3><?php echo $info; ?></h3>
                    </div>
                </div>
            </div>
        <?php
        }
        
        /**
         * Get contest object
         *
         * @return array
         */
        protected function _get_contest_object()
        {
            $args = array(
                'orderby'        => 'post_title',
                'order'          => 'DESC', 
                'post_type'      => 'iptee-item',
                'post_status'    => array('publish'),
                'posts_per_page' => -1,
                'paged'          => 1
            );
            $query  = new WP_Query;
            $contests = $query->query( $args );
            return $contests;
        }
    }
}