<?php
if ( ! class_exists( 'IPTee_Model' )) {

    /**
     * Class for manage post setting
     */
    class IPTee_Model
    {
        
        /**
         * Save setting share page
         *
         * @param  int $shareId
         * @return void
         */
        public function save_setting( $shareId )
        {
            $shareId = absint( $shareId );
            $data    = $this->_get_setting_data();
            $setting = new IPTee_Setting( $shareId, '__iptee-setting' );
            $result  = $setting->setSettings( $data );
            return $result;
        }
        
        /**
         * Get setting data
         *
         * @return array
         */
        protected function _get_setting_data()
        {
            $setting = array();
            $data    = array_merge( $_POST, $_GET );
            
            /*
             * General
             */
            if ( isset( $data['status'] )) {
                $setting['status'] = apply_filters( 'pre_term_name', $data['status'] );
            }
            if ( isset( $data['restricted'] )) {
                $setting['restricted'] = apply_filters( 'pre_term_name', $data['restricted'] );
            }
            if ( isset( $data['restricted_contestant'] )) {
                $setting['restricted_contestant'] = apply_filters( 'pre_term_name', $data['restricted_contestant'] );
            }
            
            /*
             * Content
             */
            if ( isset( $data['main_headline'] )) {
                $setting['main_headline'] = apply_filters( 'single_post_title', $data['main_headline'] );
            }
            if ( isset( $data['sub_headline'] )) {
                $setting['sub_headline'] = apply_filters( 'single_post_title', $data['sub_headline'] );
            }
            if ( isset( $data['contest_text'] )) {
                $setting['contest_text'] = apply_filters( 'single_post_title', $data['contest_text'] );
            }
            if ( isset( $data['contest_image'] )) {
                $setting['contest_image'] = absint( $data['contest_image'] );
            }
            if ( isset( $data['free_title'] )) {
                $setting['free_title'] = apply_filters( 'single_post_title', $data['free_title'] );
            }
            if ( isset( $data['free_info'] )) {
                $setting['free_info'] = apply_filters( 'single_post_title', $data['free_info'] );
            }
            if ( isset( $data['order_now_headline'] )) {
                $setting['order_now_headline'] = apply_filters( 'single_post_title', $data['order_now_headline'] );
            }
            if ( isset( $data['order_now_sub_headline'] )) {
                $setting['order_now_sub_headline'] = apply_filters( 'single_post_title', $data['order_now_sub_headline'] );
            }
            if ( isset( $data['order_now_url'] )) {
                $setting['order_now_url'] = apply_filters( 'pre_link_url', $data['order_now_url'] );
            }
            if ( isset( $data['order_now_button_text'] )) {
                $setting['order_now_button_text'] = apply_filters( 'single_post_title', $data['order_now_button_text'] );
            }
            if ( isset( $data['order_now_button_style'] )) {
                $setting['order_now_button_style'] = apply_filters( 'pre_term_name', $data['order_now_button_style'] );
            }
            if ( isset( $data['bellow_activate'] )) {
                $setting['bellow_activate'] = apply_filters( 'pre_term_name', $data['bellow_activate'] );
            }
            if ( isset( $data['bellow_content'] )) {
                $setting['bellow_content'] = $data['bellow_content'];
            }
            if ( isset( $data['bellow_share_activate'] )) {
                $setting['bellow_share_activate'] = apply_filters( 'pre_term_name', $data['bellow_share_activate'] );
            }
            if ( isset( $data['footer_content'] )) {
                $setting['footer_content'] = $data['footer_content'];
            }
            
            /*
             * Design
             */
            if ( isset( $data['top_style'] )) {
                $setting['top_style'] = absint( $data['top_style'] );
            }
            if ( isset( $data['logo'] )) {
                $setting['logo'] = absint( $data['logo'] );
            }
            if ( isset( $data['top_bg_color_activate'] )) {
                $setting['top_bg_color_activate'] = apply_filters( 'pre_term_name', $data['top_bg_color_activate'] );
            }
            if ( isset( $data['top_bg_color'] )) {
                $setting['top_bg_color'] = apply_filters( 'pre_term_name', $data['top_bg_color'] );
            }
            if ( isset( $data['top_border_status'] )) {
                $setting['top_border_status'] = apply_filters( 'pre_term_name', $data['top_border_status'] );
            }
            if ( isset( $data['top_border_width'] )) {
                $setting['top_border_width'] = absint( $data['top_border_width'] );
            }
            if ( isset( $data['top_border_style'] )) {
                $setting['top_border_style'] = apply_filters( 'pre_term_name', $data['top_border_style'] );
            }
            if ( isset( $data['top_border_color'] )) {
                $setting['top_border_color'] = apply_filters( 'single_post_title', $data['top_border_color'] );
            }
            if ( isset( $data['top_radius'] )) {
                $setting['top_radius'] = apply_filters( 'pre_term_name', $data['top_radius'] );
            }
            
            if ( isset( $data['footer_style'] )) {
                $setting['footer_style'] = absint( $data['footer_style'] );
            }
            if ( isset( $data['footer_text_color'] )) {
                $setting['footer_text_color'] = apply_filters( 'pre_term_name', $data['footer_text_color'] );
            }
            if ( isset( $data['footer_bg_color_activate'] )) {
                $setting['footer_bg_color_activate'] = apply_filters( 'pre_term_name', $data['footer_bg_color_activate'] );
            }
            if ( isset( $data['footer_bg_color'] )) {
                $setting['footer_bg_color'] = apply_filters( 'pre_term_name', $data['footer_bg_color'] );
            }
            if ( isset( $data['footer_border_status'] )) {
                $setting['footer_border_status'] = apply_filters( 'pre_term_name', $data['footer_border_status'] );
            }
            if ( isset( $data['footer_border_width'] )) {
                $setting['footer_border_width'] = absint( $data['footer_border_width'] );
            }
            if ( isset( $data['footer_border_style'] )) {
                $setting['footer_border_style'] = apply_filters( 'pre_term_name', $data['footer_border_style'] );
            }
            if ( isset( $data['footer_border_color'] )) {
                $setting['footer_border_color'] = apply_filters( 'single_post_title', $data['footer_border_color'] );
            }
            if ( isset( $data['footer_radius'] )) {
                $setting['footer_radius'] = apply_filters( 'pre_term_name', $data['footer_radius'] );
            }
            if ( isset( $data['footer_font_family'] )) {
                $setting['footer_font_family'] = apply_filters( 'pre_term_name', $data['footer_font_family'] );
            }
            
            if ( isset( $data['content_style'] )) {
                $setting['content_style'] = absint( $data['content_style'] );
            }
            if ( isset( $data['content_text_color'] )) {
                $setting['content_text_color'] = apply_filters( 'pre_term_name', $data['content_text_color'] );
            }
            if ( isset( $data['content_bg_color'] )) {
                $setting['content_bg_color'] = apply_filters( 'pre_term_name', $data['content_bg_color'] );
            }
            if ( isset( $data['content_border_status'] )) {
                $setting['content_border_status'] = apply_filters( 'pre_term_name', $data['content_border_status'] );
            }
            if ( isset( $data['content_border_width'] )) {
                $setting['content_border_width'] = absint( $data['content_border_width'] );
            }
            if ( isset( $data['content_border_style'] )) {
                $setting['content_border_style'] = apply_filters( 'pre_term_name', $data['content_border_style'] );
            }
            if ( isset( $data['content_border_color'] )) {
                $setting['content_border_color'] = apply_filters( 'single_post_title', $data['content_border_color'] );
            }
            if ( isset( $data['content_radius'] )) {
                $setting['content_radius'] = apply_filters( 'pre_term_name', $data['content_radius'] );
            }
            if ( isset( $data['content_font_family'] )) {
                $setting['content_font_family'] = apply_filters( 'pre_term_name', $data['content_font_family'] );
            }
            
            if ( isset( $data['background_image'] )) {
                $setting['background_image'] = absint( $data['background_image'] );
            }
            if ( isset( $data['bgimage_transparency'] )) {
                $setting['bgimage_transparency'] = absint( $data['bgimage_transparency'] );
            }
            if ( isset( $data['background_color'] )) {
                $setting['background_color'] = apply_filters( 'pre_term_name', $data['background_color'] );
            }
            
            if ( isset( $data['countdown_text_color'] )) {
                $setting['countdown_text_color'] = apply_filters( 'pre_term_name', $data['countdown_text_color'] );
            }
            if ( isset( $data['countdown_bg_color'] )) {
                $setting['countdown_bg_color'] = apply_filters( 'pre_term_name', $data['countdown_bg_color'] );
            }
            if ( isset( $data['countdown_border_status'] )) {
                $setting['countdown_border_status'] = apply_filters( 'pre_term_name', $data['countdown_border_status'] );
            }
            if ( isset( $data['countdown_border_width'] )) {
                $setting['countdown_border_width'] = absint( $data['countdown_border_width'] );
            }
            if ( isset( $data['countdown_border_style'] )) {
                $setting['countdown_border_style'] = apply_filters( 'pre_term_name', $data['countdown_border_style'] );
            }
            if ( isset( $data['countdown_border_color'] )) {
                $setting['countdown_border_color'] = apply_filters( 'single_post_title', $data['countdown_border_color'] );
            }
            if ( isset( $data['countdown_radius'] )) {
                $setting['countdown_radius'] = apply_filters( 'pre_term_name', $data['countdown_radius'] );
            }
            if ( isset( $data['countdown_font_family'] )) {
                $setting['countdown_font_family'] = apply_filters( 'pre_term_name', $data['countdown_font_family'] );
            }
            
            if ( isset( $data['ribbon_activate'] )) {
                $setting['ribbon_activate'] = apply_filters( 'pre_term_name', $data['ribbon_activate'] );
            }
            if ( isset( $data['ribbon_style'] )) {
                $setting['ribbon_style'] = absint( $data['ribbon_style'] );
            }
            if ( isset( $data['ribbon_headline'] )) {
                $setting['ribbon_headline'] = apply_filters( 'single_post_title', $data['ribbon_headline'] );
            }
            if ( isset( $data['ribbon_text_color'] )) {
                $setting['ribbon_text_color'] = apply_filters( 'pre_term_name', $data['ribbon_text_color'] );
            }
            if ( isset( $data['ribbon_bgcolor'] )) {
                $setting['ribbon_bgcolor'] = apply_filters( 'pre_term_name', $data['ribbon_bgcolor'] );
            }
            if ( isset( $data['ribbon_font_family'] )) {
                $setting['ribbon_font_family'] = apply_filters( 'pre_term_name', $data['ribbon_font_family'] );
            }
            
            /*
             * Auto Responder
             */
            if ( isset( $data['autoresponder_code'] )) {
                $setting['autoresponder_code'] = $data['autoresponder_code'];
            }
            if ( isset( $data['autoresponder_action'] )) {
                $setting['autoresponder_action'] = apply_filters( 'pre_link_url', $data['autoresponder_action'] );
            }
            if ( isset( $data['autoresponder_email'] )) {
                $setting['autoresponder_email'] = apply_filters( 'single_post_title', $data['autoresponder_email'] );
            }
            if ( isset( $data['autoresponder_email_label'] )) {
                $setting['autoresponder_email_label'] = apply_filters( 'single_post_title', $data['autoresponder_email_label'] );
            }
            if ( isset( $data['autoresponder_name'] )) {
                $setting['autoresponder_name'] = apply_filters( 'single_post_title', $data['autoresponder_name'] );
            }
            if ( isset( $data['autoresponder_name_label'] )) {
                $setting['autoresponder_name_label'] = apply_filters( 'single_post_title', $data['autoresponder_name_label'] );
            }
            if ( isset( $data['autoresponder_name_activate'] )) {
                $setting['autoresponder_name_activate'] = apply_filters( 'pre_term_name', $data['autoresponder_name_activate'] );
            }
            if ( isset( $data['autoresponder_form_label'] )) {
                $setting['autoresponder_form_label'] = apply_filters( 'pre_term_name', $data['autoresponder_form_label'] );
            }
            if ( isset( $data['autoresponder_button_text'] )) {
                $setting['autoresponder_button_text'] = apply_filters( 'single_post_title', $data['autoresponder_button_text'] );
            }
            if ( isset( $data['autoresponder_button_style'] )) {
                $setting['autoresponder_button_style'] = apply_filters( 'pre_term_name', $data['autoresponder_button_style'] );
            }
            
            /*
             * Share
             */
            if ( isset( $data['share_status'] )) {
                $setting['share_status'] = apply_filters( 'pre_term_name', $data['share_status'] );
            }
            if ( isset( $data['share_facebook'] )) {
                $setting['share_facebook'] = apply_filters( 'pre_term_name', $data['share_facebook'] );
            }
            if ( isset( $data['share_twitter'] )) {
                $setting['share_twitter'] = apply_filters( 'pre_term_name', $data['share_twitter'] );
            }
            if ( isset( $data['share_google-plus'] )) {
                $setting['share_google-plus'] = apply_filters( 'pre_term_name', $data['share_google-plus'] );
            }
            if ( isset( $data['share_linkedin'] )) {
                $setting['share_linkedin'] = apply_filters( 'pre_term_name', $data['share_linkedin'] );
            }
            if ( isset( $data['share_tumblr'] )) {
                $setting['share_tumblr'] = apply_filters( 'pre_term_name', $data['share_tumblr'] );
            }
            if ( isset( $data['share_pinterest'] )) {
                $setting['share_pinterest'] = apply_filters( 'pre_term_name', $data['share_pinterest'] );
            }
            if ( isset( $data['share_stumbleupon'] )) {
                $setting['share_stumbleupon'] = apply_filters( 'pre_term_name', $data['share_stumbleupon'] );
            }
            if ( isset( $data['share_digg'] )) {
                $setting['share_digg'] = apply_filters( 'pre_term_name', $data['share_digg'] );
            }
            if ( isset( $data['share_button_icon'] )) {
                $setting['share_button_icon'] = apply_filters( 'pre_term_name', $data['share_button_icon'] );
            }
            if ( isset( $data['share_title'] )) {
                $setting['share_title'] = apply_filters( 'single_post_title', $data['share_title'] );
            }
            if ( isset( $data['share_info'] )) {
                $setting['share_info'] = apply_filters( 'single_post_title', $data['share_info'] );
            }
            if ( isset( $data['share_button_text'] )) {
                $setting['share_button_text'] = apply_filters( 'single_post_title', $data['share_button_text'] );
            }
            if ( isset( $data['share_button_style'] )) {
                $setting['share_button_style'] = apply_filters( 'pre_term_name', $data['share_button_style'] );
            }
            
            /*
             * SEO
             */
            if ( isset( $data['meta_title'] )) {
                $setting['meta_title'] = apply_filters( 'single_post_title', $data['meta_title'] );
            }
            if ( isset( $data['meta_description'] )) {
                $setting['meta_description'] = $data['meta_description'];
            }
            if ( isset( $data['meta_keywords'] )) {
                $setting['meta_keywords'] = $data['meta_keywords'];
            }
            if ( isset( $data['ogimage'] )) {
                $setting['ogimage'] = apply_filters( 'pre_link_url', $data['ogimage'] );
            }
            if ( isset( $data['favicon'] )) {
                $setting['favicon'] = apply_filters( 'pre_link_url', $data['favicon'] );
            }
            if ( isset( $data['tracking_code'] )) {
                $setting['tracking_code'] = $data['tracking_code'];
            }
            
            /*
             * Countdown
             */
            if ( isset( $data['countdown_activate'] )) {
                $setting['countdown_activate'] = apply_filters( 'pre_term_name', $data['countdown_activate'] );
            }
            if ( isset( $data['expiry_date'] )) {
                $setting['expiry_date'] = apply_filters( 'single_post_title', $data['expiry_date'] );
            }
            if ( isset( $data['expiry_time'] )) {
                $setting['expiry_time'] = apply_filters( 'single_post_title', $data['expiry_time'] );
            }
            if ( isset( $data['countdown_expiry_url'] )) {
                $setting['countdown_expiry_url'] = apply_filters( 'pre_link_url', $data['countdown_expiry_url'] );
            }
            
            return $setting;
        }
        
        /**
         * Get stats
         *
         * @return array
         */
        public function get_stats()
        {
            global $wpdb;
            
            $table = $wpdb->prefix . 'iptee_stats';
            $sql   = "
                SELECT *
                FROM `$table`
            ";
            $results = $wpdb->get_row( $sql );
            return $results;
        }
        
        /**
         * Get stat
         *
         * @param  int $stat_id
         * @return array
         */
        public function get_stat( $stat_id )
        {
            global $wpdb;
            
            $stat_id = absint( $stat_id );
            $table   = $wpdb->prefix . 'iptee_stats';
            $sql     = "
                SELECT *
                FROM `$table` WHERE stat_id = %d
            ";
            $query   = $wpdb->prepare( $sql, $stat_id );
            $results = $wpdb->get_row( $query );
            return $results;
        }
        
        /**
         * Get stat value
         *
         * @param  int    $page_id
         * @param  string $type
         * @return array
         */
        public function get_stat_value( $page_id, $type )
        {
            $count = 0;
            if ( $stat = $this->get_stat_bypage( $page_id )) {
                if ( isset( $stat->$type )) {
                    $count = (int)$stat->$type;
                }
            }
            return $count;
        }
        
        /**
         * Get stat by page
         *
         * @param  int $page_id
         * @return array
         */
        public function get_stat_bypage( $page_id )
        {
            global $wpdb;
            
            $page_id = absint( $page_id );
            $table   = $wpdb->prefix . 'iptee_stats';
            $sql     = "
                SELECT 
                    SUM( `stat_view` ) AS `view`,
                    SUM( `stat_order` ) AS `order`,
                    SUM( `stat_contest` ) AS `contest`,
                    SUM( `stat_share` ) AS `share`
                FROM `$table` WHERE page_id = %d
            ";
            $query   = $wpdb->prepare( $sql, $page_id );
            $results = $wpdb->get_row( $query );
            return $results;
        }
        
        /**
         * Get stat by page date
         *
         * @param  int    $page_id
         * @param  string $date
         * @return array
         */
        public function get_stat_bypage_date( $page_id, $date )
        {
            global $wpdb;
            
            $page_id = absint( $page_id );
            $table   = $wpdb->prefix . 'iptee_stats';
            $sql     = "
                SELECT *
                FROM `$table` 
                WHERE page_id = $page_id and stat_date = '$date'
            ";
            $results = $wpdb->get_row( $sql );
            return $results;
        }
        
        /**
         * Get statistic data
         *
         * @return array
         */
        public function get_statistic_data( $page_id, $type, $start = null, $end = null )
        {
            global $wpdb;
            
            $page_id = absint( $page_id );
            $table   = $wpdb->prefix . 'iptee_stats';
            $query   = "
                SELECT 
                    DATE_FORMAT(stat_date, '%Y-%m-%d') AS gdate,";
            //Type value
            if ( $type == 'view' ) {
                $query .= 'SUM(stat_view) AS value';
            } elseif ( $type == 'order' ) {
                $query .= 'SUM(stat_order) AS value';
            } elseif ( $type == 'contest' ) {
                $query .= 'SUM(stat_contest) AS value';
            } elseif ( $type == 'share' ) {
                $query .= 'SUM(stat_share) AS value';
            } elseif ( $type == 'ctr' ) {
                $query .= 'SUM(stat_view) AS view,';
                $query .= 'SUM(stat_contest) AS contest';
            } 
            $query .= " FROM $table
                        WHERE page_id = $page_id";
            
            if ( ! empty( $start ) && ! empty( $end )) 
            {
                if ( $start == $end ) {
                    $query .= " AND DATE_FORMAT( stat_date, '%Y-%m-%d' ) = '$start'";
                } else {
                    $query .= " AND stat_date BETWEEN '$start' AND '$end'";
                }
            }
            elseif ( ! empty( $start )) {
                $query .= " AND DATE_FORMAT( stat_date, '%Y-%m-%d' ) = '$start'";
            }
            elseif ( ! empty( $end )) {
                $query .= " AND DATE_FORMAT( stat_date, '%Y-%m-%d' ) = '$end'";
            }
            $query .= " GROUP BY gdate";
            $results = $wpdb->get_results( $query );
            return $results;
        }
        
        /**
         * Do save statistic
         *
         * @param object $page
         * @param string $type
         * @param int    $count
         * @return void
         */
        public function save_stat( $page, $type, $count = 1 )
        {
            $_types = array(
                'view',
                'contest',
                'share',
                'order'
            );
            $key = 'stat_';
            if ( in_array( $type, $_types )) {
                $key .= $type;
            }
            $date = date( 'Y-m-d 00:00:00' );
            $data = array();
            if ( $stat = $this->get_stat_bypage_date( $page->ID, $date )) 
            {
                $ccount = 0;
                if ( isset( $stat->$key )) {
                    $ccount = $stat->$key;
                }
                $data[$key] = $ccount + $count;
                $this->_update_stat( $stat->stat_id, $data );
            }
            else {
                $data['page_id']   = $page->ID;
                $data['stat_date'] = $date;
                $data[$key]        = $count;
                $this->_insert_stat( $data );
            }
        }
        
        /**
         * Insert statistic data
         *
         * @param array $data
         * @return void
         */
        protected function _insert_stat( $data )
        {
            global $wpdb;
            
            $table  = $wpdb->prefix . 'iptee_stats';
            $data   = (array)$data;
            
            $result = $wpdb->insert( $table, $data );
            if ( $result ) {
                return $wpdb->insert_id;
            }
            return false;
        }
        
        /**
         * Update statistic data
         *
         * @param int   $id
         * @param array $data
         * @return void
         */
        protected function _update_stat( $id, $data )
        {
            global $wpdb;
            
            $table  = $wpdb->prefix . 'iptee_stats';
            $data   = (array)$data;
            $where  = array(
                'stat_id' => absint( $id )
            );
            $result = $wpdb->update( $table, $data, $where );
            return $result;
        }
        
        /**
         * Restyle text
         *
         * @param  string $string
         * @return void
         */
        public function restyle_text( $string )
        {
            $string = number_format( $string );
            $string_count = substr_count( $string, ',' );
            if( $string_count != '0' ) {
                if( $string_count == '1'){
                    return substr( $string, 0, -4 ).'K';
                } else if( $string_count == '2' ){
                    return substr( $string, 0, -8 ).'M';
                } else if( $string_count == '3' ){
                    return substr( $string, 0,  -12 ).'B';
                } else {
                    return;
                }
            } else {
                return $string;
            }
        }
        
        /**
         * Get contestants
         *
         * @return array
         */
        public function get_contestants()
        {
            global $wpdb;
            $table1 = $wpdb->prefix . 'iptee_contestants';
            $table2 = $wpdb->prefix . 'posts';
            $sql   = "
                SELECT * FROM $table1
                JOIN $table2 ON $table1.page_id = $table2.ID
                ORDER BY cnt_referral DESC
            ";
            $results = $wpdb->get_results( $sql );
            return $results;
        }
        
        /**
         * Get contestants by id
         *
         * @param  int $id
         * @return array
         */
        public function get_contestant( $id )
        {
            global $wpdb;
            $table  = $wpdb->prefix . 'iptee_contestants';
            $id     = absint( $id );
            $sql    = "
                SELECT * FROM $table WHERE cnt_id = '$id'
            ";
            $results = $wpdb->get_row( $sql );
            return $results;
        }
        
        /**
         * Get contestants by email
         *
         * @param  int $id
         * @param  string $email
         * @return array
         */
        public function get_contestant_byemail( $id, $email )
        {
            global $wpdb;
            $table  = $wpdb->prefix . 'iptee_contestants';
            $id     = absint( $id );
            $email  = sanitize_email( $email );
            $sql    = "
                SELECT * FROM $table WHERE page_id = '$id' AND cnt_email = '$email'
            ";
            $results = $wpdb->get_row( $sql );
            return $results;
        }
        
        /**
         * Get contestants by ip address
         *
         * @param  int    $id
         * @param  string $ip
         * @return array
         */
        public function get_contestant_byip( $id, $ip )
        {
            global $wpdb;
            $table  = $wpdb->prefix . 'iptee_contestants';
            $id     = absint( $id );
            $sql    = "
                SELECT * FROM $table WHERE page_id = '$id' AND cnt_ip = '$ip'
            ";
            $results = $wpdb->get_row( $sql );
            return $results;
        }
        
        /**
         * Get contestants by key
         *
         * @param  int    $id
         * @param  string $key
         * @return array
         */
        public function get_contestant_bykey( $id, $key )
        {
            global $wpdb;
            $table  = $wpdb->prefix . 'iptee_contestants';
            $id     = absint( $id );
            $sql    = "
                SELECT * FROM $table WHERE page_id = '$id' AND cnt_key = '$key'
            ";
            $results = $wpdb->get_row( $sql );
            return $results;
        }
        
        /**
         * Insert contestant
         *
         * @param  array $data
         * @param  array $format
         * @return void
         */
        public function insert_contestant( $data, $format = array() )
        {
            global $wpdb;
            $table  = $wpdb->prefix . 'iptee_contestants';
            $data   = (array)$data;
            $result = $wpdb->insert( $table, $data, $format );
            if ( $result ) {
                return $wpdb->insert_id;
            }
            return false;
        }
        
        /**
         * Update contestant
         *
         * @param  int   $id
         * @param  array $data
         * @return void
         */
        public function update_contestant( $id, $data )
        {
            global $wpdb;
            $table  = $wpdb->prefix . 'iptee_contestants';
            $data   = (array)$data;
            $where  = array(
                'cnt_id' => absint( $id )
            );
            $result = $wpdb->update( $table, $data, $where );
            return $result;
        }
        
        /**
         * Delete contestant
         *
         * @param  int   $id
         * @return void
         */
        public function delete_contestant( $id )
        {
            global $wpdb;
            $table  = $wpdb->prefix . 'iptee_contestants';
            $where  = array(
                'cnt_id' => absint( $id )
            );
            
            $result = $wpdb->delete( $table, $where );
            return $result;
        }
    }

}
?>