/**
 * Menu control
 **/
(function($){

    $(document).ready(function() 
    {
        //Button On Off
        if ( $( '.ipbe-btn-onoff' ).length > 0 ) {
            $( '.ipbe-btn-onoff' ).ipbe_btn_onoff();
        }
        
        //Select/upload image
        if ( $( '.ipbe-upload-image' ).length > 0 ) {
            $( '.ipbe-upload-image' ).ipbe_select_image();
        }
        
        //Toggle
        if ( $( '.ipbe-toggle' ).length > 0 ) {
            $( '.ipbe-toggle' ).ipbe_toggle();
        }
        
        //Fancy Options
        if ( $( '.ipbe-fancy-option' ).length > 0 ) {
            $( '.ipbe-fancy-option' ).ipbe_fancy_option();
        }
        
        //Fade Menu
        if ( $( '.ipbe-fade-menu' ).length > 0 ) {
            $( '.ipbe-fade-menu' ).ipbe_fade_menu();
        }
        
        //Image option
        if ( $( '.ipbe-image-option' ).length > 0 ) {
            $( '.ipbe-image-option' ).ipbe_image_option();
        }
        
        //Image preview
        if ( $( '.ipbe-image-preview' ).length > 0 ) {
            $( '.ipbe-image-preview' ).ipbe_image_preview();
        }
        
        //Tab Menu
        $( '.ipbe-tab' ).ipbe_tab({
            after_click: function( idtab, root ){
                var content = $( '#'+idtab );
                var title   = $( '.ipbe-title-content', content ).clone().removeClass( 'ipbe-hide' );
                $( '.ipbe-tab-title', root ).html( title );
            },
            tab_init: function( idtab, root ) {
                var content = $( '#'+idtab );
                var title   = $( '.ipbe-title-content', content ).clone().removeClass( 'ipbe-hide' );
                $( '.ipbe-tab-title', root ).html( title );
            }
        });
        
        //Color picker
        if ( $('.iptee-color-picker').length > 0 ) {
            $('.iptee-color-picker').each( function() {
                var picker = $(this);
                picker.wpColorPicker({
                    change: function(event, ui){
                        picker.val( ui.color.toString() );
                    }
                });
            });
        }
        
        /*
         * Add contest page handler
         */
        var form_add = new ip_form( '#iptee-form-add' );
        form_add.is_add = true;
        //Additional data
        form_add.additional_data = function( data )
        {
            if ( this.is_add ) {
                data += '&isadd=1';
            }
            return data;
        };
        form_add.init();
        
        /*
         * Update profit page handler
         */
        var form_edit = new ip_form( '#iptee-form-update' );
        form_edit.init();
        
        /*
         * Delete profit page
         */
        var iptee_delete_url = ajaxurl+'?doajax=1&iptee=1&action=iptee_delete';
        $( '.iptee-item-delete' ).ipbe_list_delete( iptee_delete_url );
        
        /*
         * Input name
         */
        $( '#iptee-section-general #input-name' ).focusout( function()
        {
            var name   = $(this).val();
            var pageid = $( '#iptee-value-contestid' ).val();
            
            $.ajax({
                url: ajaxurl+'?doajax=1&iptee=1&action=iptee_get_slug',
                type: "POST",
                dataType: "json",
                data: 'name='+name+'&pageid='+pageid,
                success: function (result) 
                {
                    if ( result.status == '1' ) {
                        $( '#iptee-section-general #input-permalink' ).val( result.slug );
                    }
                }
            });
        });
        
        //Social option
        if ( $( '.ipbe-social-option' ).length > 0 ) 
        {
            $( '.ipbe-social-active a' ).ipbe_button_active();
            $( '#input-share-button-icon' ).ipbe_select_preview({
                cont_preview_selector:  '.ipbe-icon-preview',
                item_preview_class:     'ipbe-icon',
                root_image:             iptee_img_url + 'icon/',
                preview_data:
                [
                    'facebook',
                    'twitter',
                    'googleplus',
                    'linkedin',
                    'tumblr',
                    'pinterest',
                    'stumbleupon',
                    'digg'
                ]
            });
        }
        
        // Autoresponder
        $( '#input-autoresponder-code' ).each( function()
        {
            var input = $(this);
            input.focusout( function()
            {
                var html   = encodeURIComponent( input.val() );
                var parent = $( '#iptee-autoresponder-settings' );
                var action = ajaxurl+'?doajax=1&iptee=1&action=iptee_getoptin';
                $.ajax({
                    url: action,
                    type: "POST",
                    data: 'html='+html,
                    dataType: "json",
                    success: function ( result ) {
                        if ( result.status == 1 ) 
                        {
                            var fields = [];
                            if ( result.data.fields ) {
                                fields = result.data.fields;
                            }
                            $( '#input-autoresponder-action', parent ).val( result.data.action );
                            $( 'select', parent ).html( '' );
                            for ( i=0; i<fields.length; i++ )
                            {
                                var option = '<option value="'+fields[i]+'">'+fields[i]+'</option>';
                                $( 'select', parent ).append( option );
                            }
                            parent.show();
                        }
                    },
                });
            });
        });
        
        /*
         * Save settings
         */
        var form_setting = new ip_form( '#iptee-form-setting' );
        form_setting.init();
        
        /*
         * Date time picker
         */
        if ( $( '.iptee-date-picker' ).length > 0 ) 
        {
            $('.iptee-date-picker').datepicker({
                format: 'yyyy/mm/dd'
            });
        }
        if ( $( '.iptee-time-picker' ).length > 0 ) 
        {
            $('.iptee-time-picker').timepicker({
                minuteStep: 10,
                showInputs: false,
                disableFocus: true,
                showMeridian: false,
                defaultTime: false
            });
        }
        
        /*
         * Statistic
         */
        if ( $( '.ipbe-admin-stat' ).length > 0 ) {
            $( '.ipbe-admin-stat' ).ipbe_stats({
                chart_id: 'iptee-chart-div',
                ajax_url: ajaxurl+'?doajax=1&iptee=1&action=iptee_getchart'
            });
        }
    });
    
})(jQuery);