/*
 * 
 * General script
 */
(function($)
{
    var iptee_cookie = 
    {
        registry: [],
        create: function( name, value, days ) 
        {
            if ( days ) {
                var date = new Date();
                date.setTime(date.getTime()+(days*24*60*60*1000));
                var expires = "; expires="+date.toGMTString();
            }
            else var expires = "";
            document.cookie = name+"="+value+expires+"; path=/";
        },
        read: function( name )
        {
            var nameEQ = name + "=";
            var ca = document.cookie.split(';');
            for(var i=0;i < ca.length;i++) {
                var c = ca[i];
                while (c.charAt(0)==' ') c = c.substring(1,c.length);
                if (c.indexOf(nameEQ) == 0) return c.substring(nameEQ.length,c.length);
            }
            return null;
        },
        event_change: function( cookie_name, callback )
        {
            var self = this;
            setInterval(function() {
                if (self.registry[cookie_name]) {
                    if (self.read(cookie_name) != self.registry[cookie_name]) { 
                        // update registry so we dont get triggered again
                        self.registry[cookie_name] = self.read(cookie_name); 
                        return callback();
                    } 
                } else {
                    self.registry[cookie_name] = self.read(cookie_name); 
                }
            }, 100);
        },
        event_to_value: function( name, value, callback )
        {
            var self = this;
            var interval = setInterval(function() 
            {
                var cookie = self.read( name );
                if ( cookie == value ) {
                var result = callback();
                clearInterval( interval );
                }
            }, 100);
        }
    };
    
    //Tools
    var iptee_tools = {
    
        getdataform: function( parent ) 
        {
            var selector  = 'input[type=text]';
            selector += ', input[type=hidden]';
            selector += ', input[type=password]';
            selector += ', input[type=radio]:checked';
            selector += ', input[type=checkbox]:checked';
            selector += ', textarea';
            selector += ', select';
            
            var data = '';
            
            $( selector, parent ).each( function(){
                var name  = $(this).attr( 'name' );
                var value = encodeURIComponent( $(this).val() );
                
                if ( data != '' ) {
                    data += '&';
                }
                data += name+'='+value;
            });
            if (typeof tinymce !== 'undefined') {
                for ( edId in tinymce.editors ) {
                    
                    if ( edId.length > 1 ) {
                        var value = tinymce.editors[edId].getContent();
                        if ( data != '' ) {
                            data += '&';
                        }
                        data += edId+'='+value;
                    }
                }
            }
            return data;
        }
    }
    $(document).ready(function() 
    {
        //Init UI
        ip_ui.init();
        
        //Share button
        $( '.do-share' ).ip_modal();
        $( '.share-link' ).click( function()
        {
            var href = $(this).attr( 'href' );
            
            $.ajax({
                url: ajax_url+'?doajax=1&iptee=1&action=iptee_savestat',
                type: "POST",
                data: 'page_id='+page_id+'&type=share',
                dataType: "json",
                success: function ( result ) {}
            });
            
            window.open(href,'t','toolbar=0,resizable=1,status=0,width=640,height=528');
            return false;
        });
        
        //Reserve button
        $( '.btn-reserve' ).click( function()
        {
            var href = $(this).attr( 'href' );
            $.ajax({
                url: ajax_url+'?doajax=1&iptee=1&action=iptee_savestat',
                type: "POST",
                data: 'page_id='+page_id+'&type=order',
                dataType: "json",
                success: function ( result ) {
                    window.location.href = href;
                }
            });
            return false;
        });
        
        //Email button
        $( '#do-save-email' ).click( function()
        {
            var root  = $(this).parents( '.action' );
            var form  = $(this).parents( 'form' );
            var id    = root.data( 'page' );
            var email = $( '#input-email', form ).val();
            if ( email == '' ) {
                alert( 'You must set email address' );
            } 
            else 
            {
                //Center loader
                var height   = $( '.iptee-main', root ).height();
                var mtloader = (height-64)/2;
                $( '.iptee-loader img', root ).css( 'margin-top', mtloader );
                $( '.iptee-loader', root ).show();
                
                var name = $( '#input-name', form ).val();
                var data = iptee_tools.getdataform( form );
                $.ajax({
                    url: ajax_url+'?doajax=1&iptee=1&action=iptee_save_email',
                    type: "POST",
                    dataType: "json",
                    data: data+'&email='+email+'&pageid='+id+'&name='+name,
                    success: function (result) 
                    {
                        if ( result.status == '1' )
                        {
                            //Set cookie
                            iptee_cookie.create( '_iptee_contest_ready', '1' );
                        }
                        $( '.iptee-loader', root ).hide();
                        //Submit form
                        form.submit();
                    },
                    error: function () {
                        alert( "Error" );
                    },
                });
            }
            return false;
        });
        
        //Countdown
        $( '.countdown' ).each( function()
        {
            var item = $(this);
            var time = item.data( 'time' );
            
            item.countdown( time )
                .on('update.countdown', function(event) {
                    var $this = $(this).html(event.strftime(''
                        + '<div class="cdtime"><strong>%D</strong> <em>day%!d</em></div> '
                        + '<div class="cdtime"><strong>%H</strong> <em>hour%!d</em></div> '
                        + '<div class="cdtime"><strong>%M</strong> <em>minute%!d</em></div> '
                        + '<div class="cdtime"><strong>%S</strong> <em>second%!d</em></div>'));
                })
                .on('finish.countdown', function(event) {
                    var url = item.data( 'expiry' );
                    window.location.href = url;
                });
        });
    });
})(jQuery);
